#!/bin/bash

usbdir=$(awk '/\/media/ { print $2 }' /etc/mtab)
if [ "$usbdir" == "" ]
	then echo "kein USB-Stick!"
	echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<userconf>\n <Status>\n  No_USB\n </Status>\n</userconf>" > /home/sfc250sm/XML/userconf.xml
	exit 0
fi

#pruefen ob $usbdir/userconf vorhanden
if [ -d $usbdir/userconf ]
	then /home/sfc250sm/MergeSetting/SF250MergeSet -v -i $usbdir/userconf/Factory.xml -o /home/sfc250sm/XML/Factory.xml
	if [ -f /home/sfc250sm/XML/DefaultSave.xml ]
		then /home/sfc250sm/MergeSetting/SF250MergeSet -v -i $usbdir/userconf/Default.xml -o /home/sfc250sm/XML/DefaultSave.xml
		else /home/sfc250sm/MergeSetting/SF250MergeSet -v -i $usbdir/userconf/Default.xml -o /home/sfc250sm/XML/Default.xml
		cp /home/sfc250sm/XML/Default.xml /home/sfc250sm/XML/Misson.xml
	fi
       	echo "user config wiederhergestellt."
	echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<userconf>\n <Status>\n  OK\n </Status>\n</userconf>" > /home/sfc250sm/XML/userconf.xml
	else echo "Verzeichnis $usbdir/userconf nicht vorhanden!"
	echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<userconf>\n <Status>\n  No_Data\n </Status>\n</userconf>" > /home/sfc250sm/XML/userconf.xml
fi
