#!/bin/bash

usbdir=$(awk '/\/media/ { print $2 }' /etc/mtab)

if [ "$usbdir" == "" ]
	then echo "kein USB-Stick!"
	echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<userconf>\n <Status>\n  No_USB\n </Status>\n</userconf>" > /home/sfc250sm/XML/userconf.xml
	else mkdir $usbdir/userconf
	cp /home/sfc250sm/XML/Factory.xml $usbdir/userconf/Factory.xml
	if [ -f /home/sfc250sm/XML/DefaultSave.xml ]
		then cp /home/sfc250sm/XML/DefaultSave.xml $usbdir/userconf/Default.xml
		else cp /home/sfc250sm/XML/Default.xml $usbdir/userconf/Default.xml
	fi
	echo "user config gesichert."
	echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<userconf>\n <Status>\n  OK\n </Status>\n</userconf>" > /home/sfc250sm/XML/userconf.xml
fi
