// JavaScript Document


//--------  Doxygen-TEST   ----------------------------------------
/*! 
 *	\file event_request_3p.js
 *
 * 	\brief			Authentifizierung und Aufruf der Startseite: [start3p01.php]
 *
 *	\pre				Die Authentifizierung erfolgt über das HTTP-Protokoll. Der Server bzw. das Skript sendet einen HTTP-Header 
 *							an den Browser, der zur Authentifizierung auffordert. Der Anwender erhält daraufhin vom Browser ein Loginfenster 
 *							präsentiert, Der Anwender loggt sich ein und erhält Zugriff auf den geschützten Bereich in  "lighttpd-Webserver". 
 *							Kann dieser nicht identifiziert werden, so wird der Zugriff verweigert und der Anwender erhält eine Fehlermeldung.
 *			
 *	\details			Benutzername und Passwort für die  .htaccess-Datei  in "/home/sfc250sm/WebServer/.htpasswd" werden über den 
 *							Dispacher aus der Mission.xml geholt und eingetragen. Passwort wird dann automatisch verschlüsselt abgelegt.
 *							
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//-------------------------------------------------------------------



//-----	Global JavaScript Variables -----
var event_counter = 0;									// Zähler für die Eventüberwachung

//

//----- Fehlerbehandlung -----
// 
window.onerror = Fehlerbehandlung;
//---
function Fehlerbehandlung (Nachricht, Datei, Zeile) {
	Fehler = "Fehlermeldung:\n" + Nachricht + "\n" + Datei + "\n" + Zeile;
	zeigeFehler();
	return true;
}
//---
function zeigeFehler () {
	alert(Fehler);
}
//-----	

//-----	Request From System -----	
var val1 = 0,val2 = 0,val3 = 0;
//function StartRequest() {}
	//	alert("StartRequest für Event-Proto. "+val1+" "+val2+" "+val3);
	var aktiv	= window.setInterval("javascript:eventRequest_3p('01',val1,val2,val3)", 2094);	// 1047
	var request	= false;
	//	alert("*** event_request_53.js ***");
	//---


//--- Request senden
function eventRequest_3p(id,val1,val2,val3) 
{//alert("eventRequest_3p ...");

	/*		*/

	$.get("evprot_refresh.php", function(data, status)
	{//	alert("Data: " + data + "\nStatus: " + status);
			
		if(data == 1)
		{//	alert("zyklischer Aufruf EventProt: "+data);
			//			document.getElementById('iframe_Event').src += '';	
			location.reload(); 
			event_counter = data;
		}

			
	});
		

}
//---
