<?php
header('Content-Type: text/xml; charset=utf-8'); // sorgt für die korrekte XML-Kodierung
header('Cache-Control: must-revalidate, pre-check=0, no-store, no-cache, max-age=0, post-check=0'); // ist mal wieder wichtig wegen IE

//-------------------------------------------------------------------
/*! 
 *	\file getval20.php
 * 	\brief			Parameter für Sicherungsgrenzwerte und Warnschwelle holen
 *	\pre				-
 *	\details		-
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//-------------------------------------------------------------------

include ("trans_setup.php");
include ("getval20_pmchk.php");

//-- XML-Dateien laden
$Status 	= simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
$CA				= simplexml_load_file("/home/sfc250sm/XML/tmp/CA.xml");
$SysInfo	= simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");
//---

$txt_Anzahl = $ID[21];																											// Sprachfile:	Anzahl (x):
$txt_Unendl = " 200 x ";		// vor20200414:  unendlich: $ID[23];										// Sprachfile:	unendlich:
$txt_wait		= $ID[275];																											// Sprachfile:	Please wait / Bitte warten
//---
//--- XML-Datei für Übergabe erstellen
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<messwerte>\n";
echo " <xwert0>20</xwert0>\n";																							//--- Parameter:	Einstellungen/Sicherung  ---
echo " <xwert1>".$Mission->COMIN->rms_lim_i500->value."</xwert1>\n";				///! Sicherungs-Limit I
//---
if($Mission->COMIN->rms_warn_i500->value == "")															// !!! manchmal fehlerhafter Tag ???
	echo " <xwert2>"."300"."</xwert2>\n";																			// Warnschwelle aus
else
	echo " <xwert2>".$Mission->COMIN->rms_warn_i500->value."</xwert2>\n";			// Warnschwelle in A
//---
echo " <xwert3>".$Mission->Miss_Para->Recl_on_off->value."</xwert3>\n";			// PM-A Wiedereinschaltung Ein/Aus	
echo " <xwert4>".$Mission->Miss_Para->Recl_count->value."</xwert4>\n";			// Wiederein. Anzahl
echo " <xwert5>".$Mission->Miss_Para->Recl_time->value."</xwert5>\n";				// Wiederein. Zeit
echo " <xwert6>".$Mission->Miss_Para->Infin_on_off->value."</xwert6>\n";		// unendlich Ein/Aus																

echo " <xwert7>".$Mission->DEVICE->PM_ABC_W->value."</xwert7>\n";						// PM-Auswahl für Wiederzuschalten														
echo " <xwert8>".$Mission->Miss_Para1->Recl_on_off->value."</xwert8>\n";		// PM-A Wiedereinschaltung Ein/Aus																
echo " <xwert9>".$Mission->Miss_Para2->Recl_on_off->value."</xwert9>\n";		// PM-A Wiedereinschaltung Ein/Aus																
echo " <xwert10>".$Mission->DEVICE->PM_ABC_P->value."</xwert10>\n";					// PM-Auswahl für Pulsbetrieb																	

echo " <xwert11>".$SysInfo->license_key."</xwert11>\n";											// NEU:   Fehlerortung gültig ja/nein	
//echo " <xwert11>".$Status->FaultLocLicense."</xwert11>\n";								// ALT:   Fehlerortung gültig ja/nein	

echo " <xwert12>".$CA->CAconn."</xwert12>\n";																// CA-Adapter angeschlossen ja/nein   1/0																	
echo " <xwert13>".$CA->PM_A."</xwert13>\n";																	// PM-A angeschlossen ja/nein   1/0																
echo " <xwert14>".$CA->PM_B."</xwert14>\n";																	// PM-B angeschlossen ja/nein   1/0															
echo " <xwert15>".$CA->PM_C."</xwert15>\n";																	// PM-C angeschlossen ja/nein   1/0																
//---
echo " <xwert16>".xxx."</xwert16>\n";		// xxx																
echo " <xwert17>".xxx."</xwert17>\n";		// xxx																
echo " <xwert18>".xxx."</xwert18>\n";		// xxx																
echo " <xwert19>".xxx."</xwert19>\n";		// xxx																
echo " <xwert20>".$Status->Ena_All_Div."</xwert20>\n";											// ... von Status ... EnaAllDiv	
//---
echo " <xwert21>".$SysInfo->setCabType."</xwert21>\n";											// Kabelparameter noch nicht gesetzt = 1																
echo " <xwert22>".xxx."</xwert22>\n";		// xxx																
//---
echo " <xwert23>".$txt_wait."</xwert23>\n";																	// Please wait / Bitte warten																
echo " <xwert24>".$txt_Anzahl."</xwert24>\n";																// Anzahl (x):																
echo " <xwert25>".$txt_Unendl."</xwert25>\n";																// unendlich:				neu: 200												
//---
echo " <xwert26>".$Mission->FaultLoc->configFL->paraCable->section1->type."</xwert26>\n";		// Kabeltyp																														
echo " <xwert27>".$Mission->FusePara->sfcmode->value."</xwert27>\n";				// SFC-Modus:  1=Sicherung  |  2=Monitoring  | 3=EasyGo (0=***)																
echo " <xwert28>".xxx."</xwert28>\n";		// xxx																
echo " <xwert29>".xxx."</xwert29>\n";		// xxx																
//---
//--- ***** ab 24.08.2018 "Neue Auswertung" in loadstatusxml.js eingebaut *****
//---
echo " <xwert30>".$Mission->FusePara->fuseChar->value."</xwert30>\n";	 			// Sicherungscharakteristik  	Irms / I²t
echo " <xwert31>".$Mission->FusePara->fuseConf->value."</xwert31>\n";	 			// Wiederzuschaltung_Step  		Aus / Ein = aktueller Sicherungswert
echo " <xwert32>".$Mission->FusePara->fuseVal1->value."</xwert32>\n";	 			// Wiederzuschaltung_Step 1. Wert
echo " <xwert33>".$Mission->FusePara->fuseVal2->value."</xwert33>\n";	 			// Wiederzuschaltung_Step 2. Wert
echo " <xwert34>".$Mission->FusePara->fuseVal3->value."</xwert34>\n";	 			// Wiederzuschaltung_Step 3. Wert
echo " <xwert35>".$Mission->FusePara->fuseVal4->value."</xwert35>\n";	 			// Wiederzuschaltung_Step 4. Wert
echo " <xwert36>".$Mission->FusePara->fuseVal5->value."</xwert36>\n";	 			// Wiederzuschaltung_Step 5. Wert
//---
echo " <xwert37>".$Mission->FusePara->fuseIitConf->value."</xwert37>\n";	 	// I²t Slider 'flink...träge'

//---
//echo " <xwertxx>".'-x-'."</xwertxx>\n";	 															// ... neuer XML-Wert
//---

//---
echo "</messwerte>\n";

?>