<?php
header('Content-Type: text/xml; charset=utf-8'); // sorgt für die korrekte XML-Kodierung
header('Cache-Control: must-revalidate, pre-check=0, no-store, no-cache, max-age=0, post-check=0'); // ist mal wieder wichtig wegen IE

//-------------------------------------------------------------------
/*! 
 *	\file getval30.php
 * 	\brief			Parameter für Puls-Modus holen
 *	\pre				-
 *	\details		-
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//-------------------------------------------------------------------

// *X*X*X*X*X*X>>>>>>>    include ("getval20_pmchk.php");

include ("../setup/trans_setup.php");


//--- hier werden die Parameter von Puls-Modus gelöscht 20200415 ---//
$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
//--
$Mission->Miss_Para->Puls_on_off->value  = 0;		// PM-A Pulsbetrieb Ein/Aus
$Mission->Miss_Para1->Puls_on_off->value = 0;		// PM-B Pulsbetrieb Ein/Aus
$Mission->Miss_Para2->Puls_on_off->value = 0;		// PM-C Pulsbetrieb Ein/Aus
$Mission->DEVICE->PM_ABC_P->value = 0;					// PM-Auswahl für Pulsbetrieb								
//--
file_put_contents("/home/sfc250sm/XML/Mission.xml", $Mission->asXML());
//--- hier werden die Parameter von Puls-Modus gelöscht 20200415 ---//


//-- XML-Dateien laden
$Status 	= simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
$SysInfo	= simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");
$CA				= simplexml_load_file("/home/sfc250sm/XML/tmp/CA.xml");
$HwConfig	= simplexml_load_file("/home/sfc250sm/XML/hwconfig.xml");

//---


$SfcModTxt1  = $ID[12];																		// Text auf SFC-Modus Button 1		Fehlerortung
$SfcModTxt11 = $ID[11];																		// Text auf SFC-Modus Button 1		Sicherunsmodus

//--- XML-Datei für Übergabe erstellen
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<messwerte>\n";
echo " <xwert0>30</xwert0>\n";																							//--- Parameter:	Einstellungen/Fehlerortung  ---
echo " <xwert1>".$Mission->FaultLoc->configFL->faultLocAlgo."</xwert1>\n";	// FaultLocAlgo ein/aus ...erst mal daktiviert (on)
echo " <xwert2>".$Mission->FaultLoc->configFL->licKey."</xwert2>\n";				// License Key

echo " <xwert3>".$Status->THY_LOGIC_STATE."</xwert3>\n";										// Thyristor On (logic im Pulsbetrieb	)															
echo " <xwert4>".$Mission->DEVICE->PM_ABC_W->value."</xwert4>\n";						// PM-Auswahl für Wiederzuschalten																
echo " <xwert5>".$Mission->DEVICE->PM_ABC_P->value."</xwert5>\n";						// PM-Auswahl für Pulsbetrieb								

echo " <xwert6>".$SysInfo->license_key."</xwert6>\n";												// NEU:   Fehlerortung gültig ja/nein	
//echo " <xwert6>".$Status->FaultLocLicense."</xwert6>\n";									// ALT:   Fehlerortung gültig ja/nein	
echo " <xwert7>".$Mission->Miss_Para->Puls_on_off->value."</xwert7>\n";			// PM-A Pulsbetrieb Ein/Aus
echo " <xwert8>".$Mission->Miss_Para->Autman_on_off->value."</xwert8>\n";		// Auto.man.-Mode Ein/Aus																
echo " <xwert9>".$Mission->Miss_Para->Puls_time->value."</xwert9>\n";				// Pulsbetrieb Zeit																
echo " <xwert10>".$Mission->Miss_Para->Half_wave->value."</xwert10>\n";			// Anzahl der Halbwellen																
//--- Kabelparameter Sektion1 setzen
echo " <xwert11>".$Mission->FaultLoc->configFL->paraCable->section1->type."</xwert11>\n";					// Kabeltyp																										
echo " <xwert12>".$Mission->FaultLoc->configFL->paraCable->section1->pos."</xwert12>\n";					// Ader/Core																
echo " <xwert13>".$Mission->FaultLoc->configFL->paraCable->section1->crossSection."</xwert13>\n";	// Querschnitt																
echo " <xwert14>".$Mission->FaultLoc->configFL->paraCable->section1->crossSectionN."</xwert14>\n";// Querschnitt N																
echo " <xwert15>".$Mission->FaultLoc->configFL->paraCable->section1->len."</xwert15>\n";					// Kabellänge
echo " <xwert16>".$Mission->FaultLoc->configFL->paraCable->numberSections."</xwert16>\n";					// Parameter deaktiv = 0	
//---
																													
echo " <xwert17>".$Mission->Miss_Para1->Puls_on_off->value."</xwert17>\n";		// PM-B Pulsbetrieb Ein/Aus																
echo " <xwert18>".$Mission->Miss_Para2->Puls_on_off->value."</xwert18>\n";		// PM-C Pulsbetrieb Ein/Aus																
echo " <xwert19>".xxx."</xwert19>\n";		// xxx																
echo " <xwert20>1</xwert20>\n";		// ... kommt dann von Status ... EnaAllDiv
//---
echo " <xwert21>".$CA->CAconn."</xwert21>\n";																// CA-Adapter angeschlossen ja/nein   1/0																
echo " <xwert22>".$CA->PM_A."</xwert22>\n";																	// PM-A angeschlossen ja/nein   1/0														
echo " <xwert23>".$CA->PM_B."</xwert23>\n";																	// PM-B angeschlossen ja/nein   1/0																
echo " <xwert24>".$CA->PM_C."</xwert24>\n";																	// PM-C angeschlossen ja/nein   1/0
//--																
echo " <xwert25>".$Status->PM_OK."</xwert25>\n";		// xxx																
//---
echo " <xwert26>".$Mission->COMIN->setTrigEnable->value."</xwert26>\n";			// Triger-Quelle PM-A   0/1																
echo " <xwert27>".$Mission->COMIN1->setTrigEnable->value."</xwert27>\n";		// Triger-Quelle PM-B   0/1																
echo " <xwert28>".$Mission->COMIN2->setTrigEnable->value."</xwert28>\n";		// Triger-Quelle PM-C   0/1																
echo " <xwert29>".$Mission->COMIN->setTRE->value."</xwert29>\n";						// Triger-Flanke für alle																
//---
echo " <xwert30>".$Mission->FaultLoc->configFL->nontripping."</xwert30>\n";		// transiente Fehlerortung j/n = 1/0															
echo " <xwert31>".$Mission->FusePara->fuseDelay->value."</xwert31>\n";				// sequenzielle Zuschaltung  = value x 100ms															
echo " <xwert32>".$Mission->FusePara->fuseRecloseDelay->value."</xwert32>\n";	// zweite Zuschaltung (muss noch geteste werden) j/n = 1/0															
echo " <xwert33>".$Mission->DEVICE->EnableCableSegment->value."</xwert33>\n";	// Kabelsegmentierung  j/n = 1/0													
echo " <xwert34>".$Mission->FusePara->sfcmode->value."</xwert34>\n";					// SFC-Modus:  1=Sicherung  |  2=Monitoring	(0=***)													
//---
echo " <xwert35>".$Mission->FaultLoc->configFL->I500Curr."</xwert35>\n";			// Mittelwertbildung j/n = 174/46												
//---
echo " <xwert36>".$Status->PH_I_LIM_EN."</xwert36>\n";												// Phasenanschnitt Vormessung  ein/aus = 0/1 											
echo " <xwert37>".$Mission->COMIN->setILimFuse800A->value."</xwert37>\n";			// Phasenanschnitt Limit, gültig für alle drei PowerModule											
echo " <xwert38>".$Status->PM_HW."</xwert38>\n";															// HardWare-Flag, kein Phasenanschnitt, gültig für alle drei PowerModule											
//---
echo " <xwert39>".$SfcModTxt1."</xwert39>\n";																	// Text auf SFC-Modus Button 1		Fehlerorung								
echo " <xwert40>".$SfcModTxt11."</xwert40>\n";																// Text auf SFC-Modus Button 1		Sicherunsmodus									

echo " <xwert41>".$HwConfig->easyGoEn."</xwert41>\n";													// EasyGo Enable-Hardware-Flag

echo "</messwerte>\n";

?>

