<?php
header('Content-Type: text/xml; charset=utf-8'); // sorgt für die korrekte XML-Kodierung
header('Cache-Control: must-revalidate, pre-check=0, no-store, no-cache, max-age=0, post-check=0'); // ist mal wieder wichtig wegen IE

$ip = $_SERVER["REMOTE_ADDR"];  
$host = gethostbyaddr($ip);

//-- XML-Dateien laden
$Status 	= simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
$SysInfo	= simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");
//---

$tmp 		= strtoupper(dechex($Mission->FaultLoc->configFL->I500Curr));		// Dez to Hex ...
$pmconf = "0x".$tmp;																										// ... Umwandlung

//--- XML-Datei für Übergabe erstellen
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<messwerte>\n";
echo " <xwert0>60</xwert0>\n";
echo " <xwert1>".$Mission->DEVICE->device_name->value."</xwert1>\n";		// Gerätename
echo " <xwert2>".$Mission->DEVICE->device_sn->value."</xwert2>\n";			// Seriennummer
echo " <xwert3>".$SysInfo->mode."</xwert3>\n";													// SFC-Mode
echo " <xwert4>".$host."</xwert4>\n";																		// WerWillWas
echo " <xwert5>".$Mission->FaultLoc->configFL->licKey."</xwert5>\n";		// Lizenzschlüssel
echo " <xwert6>".$Status->SCALE_UI."</xwert6>\n";												// PM-Abgleichwert																
echo " <xwert7>".$Status->SCALE_UI_ONGOING."</xwert7>\n";								// Abgleichfortschritt
echo " <xwert8>".$Status->DATE_SCALE_UI."</xwert8>\n";									// Datum letzter Abgleich																
echo " <xwert9>".$Mission->DEVICE->PM_CALIB_R->value."</xwert9>\n";			// Widerstand in mOhm																
echo " <xwert10>".$Mission->DEVICE->PM_CALIB_L->value."</xwert10>\n";		// Induktivität in µH																
echo " <xwert11>".$pmconf."</xwert11>\n";																// PM-Configuration		(Standard 0x2E)
echo " <xwert12>".xxx."</xwert12>\n";		// xxx																
echo " <xwert13>".xxx."</xwert13>\n";		// xxx																
echo " <xwert14>".xxx."</xwert14>\n";		// xxx																
echo " <xwert15>".xxx."</xwert15>\n";		// xxx																

echo " <xwert16>".xxx."</xwert16>\n";		// xxx																
echo " <xwert17>".xxx."</xwert17>\n";		// xxx																
echo " <xwert18>".xxx."</xwert18>\n";		// xxx																
echo " <xwert19>".xxx."</xwert19>\n";		// xxx																
echo " <xwert20>1</xwert20>\n";					// ... kommt dann von Status ... EnaAllDiv	
//---
echo " <xwert21>".xxx."</xwert21>\n";		// xxx																
echo " <xwert22>".xxx."</xwert22>\n";		// xxx																
//---
echo " <xwert23>".xxx."</xwert23>\n";		// xxx																
echo " <xwert24>".xxx."</xwert24>\n";		// xxx																
echo " <xwert25>".xxx."</xwert25>\n";		// xxx																
//---
echo " <xwert26>".xxx."</xwert26>\n";		// xxx																
echo " <xwert27>".xxx."</xwert27>\n";		// xxx																
echo " <xwert28>".xxx."</xwert28>\n";		// xxx																
echo " <xwert29>".xxx."</xwert29>\n";		// xxx																
//---
echo "</messwerte>\n";

?>