<!doctype html>

<?php
//---------------------  Beispiel  -----------------------------
/*! 
 *	\file set_vorlage.php
 *
 * 	\brief			Authentifizierung und Aufruf der Startseite: [start3p01.php]
 *
 *	\pre				Die Authentifizierung erfolgt über das HTTP-Protokoll. Der Server bzw. das Skript sendet einen HTTP-Header 
 *							an den Browser, der zur Authentifizierung auffordert. Der Anwender erhält daraufhin vom Browser ein Loginfenster 
 *							präsentiert, Der Anwender loggt sich ein und erhält Zugriff auf den geschützten Bereich in  "lighttpd-Webserver". 
 *							Kann dieser nicht identifiziert werden, so wird der Zugriff verweigert und der Anwender erhält eine Fehlermeldung.
 *			
 *	\details			Benutzername und Passwort für die  .htaccess-Datei  in "/home/sfc250sm/WebServer/.htpasswd" werden über den 
 *							Dispacher aus der Mission.xml geholt und eingetragen. Passwort wird dann automatisch verschlüsselt abgelegt.
 *							
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//---------------------  Beispiel  -----------------------------
?>

<html>

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta charset="utf-8">
  <title>setup_132</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv='cache-control' content='no-cache'>
  <meta http-equiv='expires' content='0'>
  <meta http-equiv='pragma' content='no-cache'>
  
	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<link href="../jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>

	<link href="../keyboard/vkeyboard2/keyboardstyle.css" type="text/css" rel="stylesheet" />  
	<link href="../css/jquery_page.css" rel="stylesheet" type="text/css">
	<link href="../css/slid_butt.css" rel="stylesheet" type="text/css">
  
	<script src="../jquery-mobile/jquery-1.11.3.min.js"></script>

	<script src="loadstatusxml.js"> </script>
  <script src="setup_scripts.js"> </script>
  <script src="setup_3p_addon.js"> </script>
   																			
	<script src="get_dat_exp.js">	</script> 
	<script src="sim_pin_requ.js">	</script> 
	<script src="pm_abgl_requ.js">	</script> 
  
	<script src="../jquery-mobile/jquery.mobile-1.4.5.min.js"></script>

	<script type="text/javascript" src="../keyboard/vkeyboard2/jquery-fieldselection.js"></script>
  <script type="text/javascript" src="../keyboard/vkeyboard2/vkeyboard.js"></script>
	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

  <script type="text/javascript">
		// window.onerror = Fehlerbehandlung;
		//---
		javascript:setupRequest('19', 'page2');		//		Homeabfrage - deckel auf oder zu ? - Sprache | CA-Adapter angeschlossen
		//---
		$(document).ready(function(){			<!-- unbeabsichtigtes 'Drag' von Elementen verhindern -->
			$("body").css("-webkit-user-select","none");
			$("body").css("-moz-user-select","none");
			$("body").css("-ms-user-select","none");
			$("body").css("-o-user-select","none");
			$("body").css("user-select","none");
		});

	//---		
  </script>

  <!--	-->	
  
</head>

<body ondragstart="return false">

	<?php include ("trans_setup.php"); include ("keyboard.php"); ?>				<!--	Translation setup_132.php	 und Keyboard-->


<script type="text/javascript">
	//	On_Pageinit_3();
	GoToTest();
</script>

	<div>
      <form></form>
          <label for="text-91"><?php echo $ID[37]." extra"?>:</label>	  					<!-- Kabellänge m -->
          <input  class="text_input" data-clear-btn="true" name="text-91" id="text-91" value="100" type="text">
      
	</div>

	<!-- Rücksprung -->
	</br>
	<a href="../start3p01.php" target="_self">*** zurück ***</a>
	<!-- Rücksprung -->

</body>

</html>