// JavaScript Document

var i 						= 0;						// allgemeine Laufvariable
var ul						= 1;						// Laufvariable  Update-Loop (1..3)
var tmp						= 0;
var daterr				= "";						// Fehler (ul = 1...3 => a...b) bei der Ajax-Datenabfrage (...hole uilogshowx.csv) aufgetreten

var updatego			= 0;						// Chart-Update  0 = stop / 1 = go
var chartsource   = "";						// aktuellen Arbeitsdatei PM-A...C

var track_nr 			= 0; 	 
var track_nr_max 	= 10;
var track_nr_max1 = 0;	
var tr_title 			= "***";	

var oszi 					= 0;						// Oszilloskop-Betrieb für [heute]
var todayosziID 	= 0;						// SetInterval-ID (oszi)
var timeintval 		= 10000;				// Refresh-Intevallzeit in ms
var timeout				= 2000;					// Timeout in ms
var timeout_sw		= 250;					// Timeout 250ms für Updateaufruf durch Schalter
var timestep			= 1;						// Zeitauflösung   1 - 10 - 30 - 60 - 300 - 600  in Sekunden
var range					= 1;						// Startpunkt für die Bereichsauswahl  10Min-30Min-1Std-6Std-24Std
var span_man			= 0;						// manuelle Einstellung der Auswahl, wird durch Bereich zurückgesetzt

var dataPoints1	 	= [];						// Datenreihe1 - Irms(A) PM-A
var dataPoints2 	= [];						// Datenreihe2 - Irms(A) PM-B
var dataPoints3 	= [];						// Datenreihe3 - Irms(A) PM-C
var dataPoints4 	= [];						// Datenreihe4 - Urms(V) PM-A
var dataPoints5 	= [];						// Datenreihe5 - Urms(V) PM-B
var dataPoints6 	= [];						// Datenreihe6 - Urms(V) PM-C
var dataPoints7 	= [];						// Datenreihe7 - noch frei
var dataPoints8 	= [];						// Datenreihe8 - noch frei

var allLinesArray = [];
var allLinesArrayB = [];
var allLinesArrayC = [];

var rowData 			= [];
var rowDataB 			= [];
var rowDataC 			= [];
var tit 					= [];

//var UI_PM_ABC_akt 	=	0;				// welche PowerModule sind angeschlossen  Bsp.: A=4=100  A+B=6=110  A+B+C=7=111 ...
var PM_ABC_UI 		=	111;				// Auswahschaler-PowerModule-UI Anzeige.		Bsp.: A=4=100  A+B=6=110  A+B+C=7=111 ...



//x>>>

//---------------------------------------------------------
// function anz_trirms() ... war mal hier, zählt die Anzahl der Files in trackirms/1/2
//---------------------------------------------------------
//---------------------------------------------------------
function back()
{
	if(track_nr < track_nr_max)
		track_nr++;
		//alert(track_nr);	
}

//---------------------------------------------------------
//---------------------------------------------------------
function forth()
{
	if(track_nr > 0)
		track_nr--;
		//alert(track_nr);	
}

//---------------------------------------------------------
//----- window.onload -----
window.onload = function () {
	//console.log('Dokument geladen');
	//window.alert(5 + 6);
	// alert("Dokument geladen"); 
	
	//--- Auswahl der PM-Cahrts (alle)
	//$("#checkbox-h-2a").prop('checked',true).checkboxradio("refresh");	// Rückleieter PE
	//$("#checkbox-h-2b").prop('checked',true).checkboxradio("refresh");	// Rückleieter PE
	//$("#checkbox-h-2c").prop('checked',true).checkboxradio("refresh");	// Rückleieter PE
	//--- Bereich in Min./Std. auf [24 Std.] stellen	
	$("#ui_range").val(86400).selectmenu('refresh');					// Bereich		
	//--- Auflösung in Sekunden auf [30 Sek.] stellen	
	$("#ui_span").val(30).selectmenu('refresh');							// Auflösung		
	//---
	
	//----- 
	$("#onedayforth").hide();								// Pfeil -> versteckt
	if(oszi == 0)
	{	// alert("... bis hier ");
		oszi = 1;
		//>>>> todayosziID = setInterval(function(){ heute();}, timeintval);			//	$("#today").click()
		todayosziID = setInterval(function(){ $("#today").click();}, timeintval);
		//
	}
	//----- 
	// ... hier war sonstiges Glump			
	//-----

	//----- create chart -----
	var chart = new CanvasJS.Chart("chartContainer", {
		backgroundColor: "dimgray",
		zoomEnabled: true,
		title:{
			text: tr_title,		// "SFC250 - Proto1" title
			fontColor: 				"white"
		},
		axisX:{
			labelAngle: 			0,
			labelWrap:				true,
			labelAutoFit: 		false,
			labelFontSize: 		15,
			labelMaxWidth: 		200,
			labelFontColor: 	"white",
			labelFontFamily:	"DejaVu Sans"
		},
		
		axisY:{
			labelFontColor: 	"white",
			title: 						"Irms(A)",
			titleFontColor: 	"cyan",							// mediumblue
			titleFontFamily: 	"DejaVu Sans",
			titleFontWeight: 	"bold",
			labelFontFamily: 	"DejaVu Sans"
		},
		
		axisY2: {
			labelFontColor: 	"white",
			title: 						"Urms(V)",
			titleFontColor: 	"Tomato",						// red OrangeRed  Tomato  LightPink  
			titleFontFamily: 	"DejaVu Sans",
			titleFontWeight: 	"bold",							//“lighter”, “normal”, “bold” , “bolder” 
			labelFontFamily: 	"DejaVu Sans"
		},
		
		toolTip: {
			fontColor: 				"red"
		},
		
		data: [																		//-----------------------------------------------------
		{																					// [dataP..1] Irms(A) PM-A
			type: 									"line",
			color: 									"cyan",					// cyan   LightCyan  DeepSkyBlue
			indexLabelPlacement: 		"outside",
			indexLabelFontWeight: 	"bold",
			indexLabelFontColor: 		"black",
			dataPoints: dataPoints1
		},
		{																					// [dataP..2] Irms(A) PM-B
			type: 									"line",
			color: 									"LightCyan",		
			indexLabelPlacement: 		"outside",
			indexLabelFontWeight: 	"bold",
			indexLabelFontColor: 		"black",
			dataPoints: dataPoints2
		},
		{																					// [dataP..3] Irms(A) PM-C
			type: 									"line",
			color: 									"DeepSkyBlue",		
			indexLabelPlacement: 		"outside",
			indexLabelFontWeight: 	"bold",
			indexLabelFontColor: 		"black",
			dataPoints: dataPoints3
		},																				//-----------------------------------------------------
		{																					// [dataP..4] Urms(V) PM-A
			type: 									"line",
			axisYType: 							"secondary",
			color: 									"red",					// red  salmon  LightPink  Crimson  Coral  OrangeRed  Magenta  DeepPink 
			indexLabelPlacement: 		"outside",
			indexLabelFontWeight: 	"bold",
			indexLabelFontColor: 		"black",
			dataPoints: dataPoints4
		},
		{																					// [dataP..5] Urms(V) PM-B
			type: 									"line",
			axisYType: 							"secondary",
			color: 									"LightPink",			
			indexLabelPlacement: 		"outside",
			indexLabelFontWeight: 	"bold",
			indexLabelFontColor: 		"black",
			dataPoints: dataPoints5
		},
		{																					// [dataP..6] Urms(V) PM-C
			type: 									"line",
			axisYType: 							"secondary",
			color: 									"Coral",					
			indexLabelPlacement: 		"outside",
			indexLabelFontWeight: 	"bold",
			indexLabelFontColor: 		"black",
			dataPoints: dataPoints6
		},																				//---------- *** ab hier noch nicht beleget *** ------------
		{																					// [dataP..7] Spannung urms10min
			type: "line",
			axisYType: "secondary",
			color: "sandybrown ",										// xx
			indexLabelPlacement: "outside",
			indexLabelFontWeight: "bold",
			indexLabelFontColor: "black",
			dataPoints: dataPoints7
		},
		{																					// [dataP..8] Spannung urms2h
			type: "line",
			axisYType: "secondary",
			color: "peachpuff ",										// xx
			indexLabelPlacement: "outside",
			indexLabelFontWeight: "bold",
			indexLabelFontColor: "black",
			dataPoints: dataPoints8
		}

			
		]
	});
	//----- create chart - ENDE ----

	//-----
	chart.render();
	//-----
	
	update();		// erster Aufruf beim Start dieser Seite

	//----- update -----
	function update() {
		// alert("Z222> update " + track_nr + " " + track_nr_max);

		daterr = ""; 									// Fehler (ul = 1...3) bei der Ajax-Datenabfrage löschen

		//--- letzte Datenpunkte löschen ---
		/*		
		chart.options.data[0].dataPoints = [];
		chart.options.data[1].dataPoints = [];
		chart.options.data[2].dataPoints = [];
		chart.options.data[3].dataPoints = [];
		chart.options.data[4].dataPoints = [];
		chart.options.data[5].dataPoints = [];
		*/
		//---
	
/*			
		//----- Checkbox: PM-Auswahl für Chart-Anzeige -----
		//	alert("Z233> Auswahl Chart: "+PM_ABC_UI);	
	 	PM_ABC_UI = 0;
		if(document.getElementById('checkbox-h-2a').checked) 
		 PM_ABC_UI =PM_ABC_UI | 4
		if(document.getElementById('checkbox-h-2b').checked) 
		 PM_ABC_UI =PM_ABC_UI | 2
		if(document.getElementById('checkbox-h-2c').checked) 
		 PM_ABC_UI =PM_ABC_UI | 1
		//---								
		//	alert("Z250> Auswahl Chart: "+PM_ABC_UI);							
*/			
	
		//---
		updatego = 1;								// Chart-Update go

		//----- update-loop 1...3 -----
		for(ul = 1; ul <= 3; ul++) {		// !!!ACHTUNG:  3  für alle PM's!!!
			//--- Selektion der aktuellen Arbeitsdatei PM-A...C und Aufruf zum Daten holen
			if(updatego == 1)	{
				switch (ul) {
					case 1:
						//chartsource = "uilogshowa.csv";						// PM-A				1uilogshowb.csv
						chartsource = "/tmp/uilogshowa.csv";				// PM-A				1uilogshowb.csv RAM
						break;
					case 2:
						//chartsource = "uilogshowb.csv";						// PM-B				1uilogshowb.csv
						chartsource = "/tmp/uilogshowb.csv";				// PM-B				1uilogshowb.csv RAM
						break;
					case 3:
						//chartsource = "uilogshowc.csv";					// PM-C				1uilogshowc.csv
						chartsource = "/tmp/uilogshowc.csv";				// PM-C				1uilogshowc.csv RAM
						break;
					default:
						alert("update-loop undefiniert");
						break;
				} // 	alert("Z241> ChartSource "+chartsource+" | "+ul);				
				//---
				// 	alert("Chart-Update stop");
			
				//	updatego = 0;								// Chart-Update stop

				//-----
				/* */
				//	daterr = 0; 									// Fehler (ul = 1...3) bei der Ajax-Datenabfrage löschen
				$.ajax({
				async: 		false,
				type: 		"GET",
				cache: 		false,
				url:			chartsource,				// enthält die aktuellen Arbeitsdatei PM-A...C
				dataType: "text",
				success: 	function(data) {processData(data);},								// alert("Daten geholt")  
				//error: 		function(result){daterr = ul;}											// Fehler beim 'Datenholen'
				error: 		function(result){
										switch (ul) {
											case 1:	daterr = daterr+"a";
															break;
											case 2:	daterr = daterr+"b";
															break;
											case 3:	daterr = daterr+"c";
															break;
										}
										//	alert("Fehler beim Datenholen \n"+chartsource+" -> "+daterr);						
									}	// Fehler beim 'Datenholen'
							});			
				// alert("ajax");					
				//-----

			}
			//--- Selektion der aktuellen Arbeitsdatei PM-A...C und Aufruf zum Daten holen - ENDE

		}
		//----- update-loop 1...3 - ENDE ---- 
	
	
		//-----	processData -----																// { tr_nr:"0", go_to:"back" })	
		function processData( allText ) {
			// 	alert("Z89> processData-start >" + allText);
			allLinesArray = allText.split("\n");
			if( allLinesArray.length > 0 ){															// ;;;;;;;;iDir;			
				if(ul == 1)
				{
					tit = allLinesArray[0].split(";");											// Titel aus uilogshowa.csv holen ...
					//tr_title = tit[0];																			// ... und nach tr-title übergeben
					chart.options.title.text = tit[0];
				}
							
					//----- Bereichsauswahl mit Anpassung der Auflösung -----
				range = (allLinesArray.length -1) - $("#ui_range").val()*1;
				if (range <= 0)
					range = 1;
				//---
				range_span = $("#ui_range").val()*1;
				//---
				if(span_man == 0)						// ... nur wenn manuelle Einstellung der Auswahl deaktiviert
				{
					switch($("#ui_range").val()*1) 
					{
						case 600:
							//alert("Auflösung 1");
							$("#ui_span").val(1).selectmenu('refresh');								// Auflösung 1 Sek.
							timestep =  $("#ui_span").val()*1;
				
							break;
						case 3600:
							//alert("Auflösung 10");
							$("#ui_span").val(10).selectmenu('refresh');							// Auflösung	10 Sek	
							timestep =  $("#ui_span").val()*1;
				
							break;
						case 86400:
							//alert("Auflösung 300");
							$("#ui_span").val(300).selectmenu('refresh');							// Auflösung	300 Sek.	
							timestep =  $("#ui_span").val()*1;
				
							break;
					}
				}
				//	alert("Z359> "+range + "  " + range_span + "  " + timestep);
				//----- Bereichsauswahl mit Anpassung der Auflösung - ENDE -----
				
				for (i = range; i <= allLinesArray.length-1; i = i + timestep) {		// 				
					rowData = allLinesArray[i].split(";");
					if(rowData == "")
					{	//	alert("Z366> leer "+(allLinesArray.length-1));
						lastrow = allLinesArray.length-2;
						rowData = allLinesArray[lastrow].split(";");
						//alert("Z368> "+i+" "+lastrow+" "+rowData);					
					}
					//---
					//--- Selektion von aktuellem PM-A...C Chart
					switch (ul) {
						case 1:
							if(daterr.search("a") == -1 && (PM_ABC_UI & 4) == 4)
							{
								chart.options.data[0].dataPoints.push({ label:rowData[0], y:parseInt(rowData[1]) });						// Irms(A) PM-A				
								chart.options.data[3].dataPoints.push({ label:rowData[0], y:parseInt(rowData[5]) });						// Urms(V) PM-A
							}
							else
							{
								//	alert("...jetzt in 1 "+daterr);
							}
							break;
						case 2:
							if(daterr.search("b") == -1 && (PM_ABC_UI & 2) == 2)
							{
								chart.options.data[1].dataPoints.push({ label:rowData[0], y:parseInt(rowData[1]) });						// Irms(A) PM-B				
								chart.options.data[4].dataPoints.push({ label:rowData[0], y:parseInt(rowData[5]) });						// Urms(V) PM-B
							}
							else
							{
								//	alert("...jetzt in 2 "+daterr);
							}
							break;
						case 3:
							if(daterr.search("c") == -1 && (PM_ABC_UI & 1) == 1)
							{
								chart.options.data[2].dataPoints.push({ label:rowData[0], y:parseInt(rowData[1]) });						// Irms(A) PM-C				
								chart.options.data[5].dataPoints.push({ label:rowData[0], y:parseInt(rowData[5]) });						// Urms(V) PM-C
							}
							else
							{
								//	alert("...jetzt in 3 "+daterr);
							}
							break;
						default:
							alert("Selektion undefiniert");
							break;
					}
					//--- Selektion von aktuellem PM-A...C Chart - ENDE
				} 
				//	alert("Z407> "+i+" " +rowData);
			}
		}
		//-----	processData - ENDE ----

		//	alert("Z299> allLinesArray.length-1 "+(allLinesArray.length-1) );

		allLinesArray = [];									// csv-Arbeitsarray löschen
		chart.render();											// Chart erzeugen und ausgeben

		//--- letzte Datenpunkte löschen ---
		//	var str = "Visit W3Schools!";
		//	var n = str.search("W3Schools");
		
		//	if(daterr.search("a") != -1 || daterr.search("b") != -1 || daterr.search("c") != -1)
		//		alert("Fehler: "+daterr);
		
		/*	*/			
		if(daterr.search("a") == -1)								// wenn kein Fehler bei Ajax-Datenabfrage ..a.csv
		{
			chart.options.data[0].dataPoints = [];
			chart.options.data[3].dataPoints = [];
		}
		if(daterr.search("b") == -1)								// wenn kein Fehler bei Ajax-Datenabfrage ..b.csv
		{
			chart.options.data[1].dataPoints = [];
			chart.options.data[4].dataPoints = [];
		}
		if(daterr.search("c") == -1)								// wenn kein Fehler bei Ajax-Datenabfrage ..c.csv
		{	
			chart.options.data[2].dataPoints = [];
			chart.options.data[5].dataPoints = [];
		}
		//---

		tmp = 100;		// ... ???

//	alert("Z301> ...nach render ");

	}
	//----- update - ENDE -----

	//----- today -----
		$("#today").click(function () {
		//	alert("Z310> today ");
			$("#onedayforth").hide();
			$("#onedayback").show();
		if(oszi == 0)
		{	// alert("... bis hier ");
			oszi = 1;
			//>>>> todayosziID = setInterval(function(){ heute();}, timeintval);			//	$("#today").click()
			todayosziID = setInterval(function(){ $("#today").click();}, timeintval);
			//
		}
		//---
			track_nr = 0;						// 0 bedeutet heute
			/*	*/	
			$.get("get_trackirms.php", { tr_nr:track_nr, go_to:"back" }, function( data ) {
				track_nr_max =  parseInt(data);						// Umwandlung String to Int
				// alert(track_nr_max1);
				});
				
				setTimeout(function(){update(); }, timeout);
			
		}) 
	//----- today - ENDE ----

	//----- onedayback -----
	$("#onedayback").click(function () {
		//alert("Z325> onedayback " + track_nr + "   " + track_nr_max);
		//exit;
		if(track_nr < track_nr_max-1)
		{				
			if(oszi == 1)
			{
				clearInterval(todayosziID);
				oszi = 0;
			}
			//alert("Z332> oneday..."); 			
			$("#onedayforth").show();
			track_nr++;
			$.get("get_trackirms.php", { tr_nr:track_nr, go_to:"back" }, function( data ) {
				track_nr_max =  parseInt(data);						// Umwandlung String to Int
				// 	alert(track_nr + "   " + track_nr_max);
				});
			//  alert("onedayback " + track_nr + " von " + track_nr_max);
			//setTimeout(update, 1000);			// 1sec warten, dann update aufrufen
			setTimeout(function(){update(); }, timeout);
		}
		if(track_nr == track_nr_max-1)
			$("#onedayback").hide();
	})
	//----- onedayback - ENDE ----

	//----- onedayforth -----
	$("#onedayforth").click(function () {
		//		alert("Z346> onedayforth " + track_nr + "   " + track_nr_max);
		//exit;
		if(track_nr > 0)
		{
			$("#onedayback").show();
			track_nr--;
			$.get("get_trackirms.php", { tr_nr:track_nr, go_to:"back" }, function( data ) {
				track_nr_max =  parseInt(data);						// Umwandlung String to Int
				// 	alert(track_nr_max1);
				});
			//  alert("onedayforth " + track_nr + " von " + track_nr_max);
			setTimeout(function(){update(); }, timeout);
		}
		if(track_nr == 0)
		{
			$("#onedayforth").hide();
			oszi = 1;
			todayosziID = setInterval(function(){ $("#today").click();}, timeintval);
		}
	})
	//----- onedayforth - ENDE ----

	//----- UI_Auflösung -----
	$("#ui_span").change(function () {
		//alert("Z492> UI_Auflösung: "+$("#ui_span").val());
		span_man = 1;						// manuelle Einstellung der Auswahl aktiviert
		timestep =  $("#ui_span").val()*1;
			setTimeout(function(){update(); }, timeout_sw);	// Timeout 250ms
	})
	//----- UI_Auflösung - ENDE ----

	//----- UI_Bereich -----
	$("#ui_range").change(function () {
		//	alert("Z503> UI-Bereich: ");
		span_man = 0;											// manuelle Einstellung der Auswahl deakiviert
			setTimeout(function(){update(); }, timeout_sw);	// Timeout 250ms
	})
	//----- UI_Bereich - ENDE ----

	//----- UI_PM_Auswahl -----
	$("#ui_pm_sel").click(function () {
		//	alert("Z473> UI-Auswahl: ");
			setTimeout(function(){update(); }, timeout_sw);	// Timeout 250ms
	})
	//----- UI_PM_Auswahl - ENDE ----

}
//----- window.onload - ENDE -----



