#!/bin/sh


#Falls GSMControl läuft -> beenden
GSMControl_PID=$( pgrep GSMControl )
if [ -n $GSMControl_PID ]
then
	echo "GSMControl_PID: X""$GSMControl_PID""X"
	kill -9 "$GSMControl_PID"
fi

#Falls IO nicht angelegt -> IO anlegen
if [ ! -d /sys/class/gpio/gpio58 ]
then
       echo '58'>/sys/class/gpio/export
fi


#Pin auf Ausgang
echo out>/sys/class/gpio/gpio58/direction
#Pin auf 1 -> Modem RESET
echo '1'>/sys/class/gpio/gpio58/value
echo "dbg1"
#warten bis Devicenode in /dev verschwunden ist
while [ -e /dev/ttyACM3 ]
do
       sleep 1
done
echo "dbg2"
#Pin auf 0 -> Ende Modem RESET
echo '0'>/sys/class/gpio/gpio58/value
echo "dbg3"
#warten bis Devicenode in /dev angelegt ist
while [ ! -e /dev/ttyACM3 ]
do
       sleep 1
done
echo "dbg4"
#GSMControl starten
cd /home/sfc250sm/GSMControl
if [ -e ./SMS.lock ]
then
	rm ./SMS.lock
fi
if [ -e ./GSM.lock ]
then
	rm ./GSM.lock
fi
echo "dbg5"
chmod 664 /home/sfc250sm/XML/tmp/GSM.xml 
./GSMControl -d /dev/ttyACM3 -s 115200 &
echo "dbg6"


exit 0

