#! /bin/bash
#Usage:  ./calibPM.sh yy.mm.dd r_calib[mOhm] x_calib[uH]
EC=0
if (( $# == 3))
then
   test="${1//'.'/}"
   date -d $test +%y%m%d 2>: 1>:; 
   if (( $? == 0))
   then 

	if [ -f /home/sfc250sm/XML/tmp/ErrorCalibPM.txt ]	
  	then 	
		rm /home/sfc250sm/XML/tmp/ErrorCalibPM.txt
	fi
	 
	#datum=`date +%y.%m.%d`
	echo setCalibUIWA 0  $1 >/home/sfc250sm/XML/tmp/Comin
	sleep 5

	if [ -f /home/sfc250sm/XML/tmp/ErrorCalibPM.txt ]	
  	then 
		EC=3
	else
		if (( $2 > 2500 ))
		then
			limit=16
		else
			limit=50
		fi	

		echo rms_lim_i10k $limit >/home/sfc250sm/XML/tmp/Comin
		echo rms_lim_i500 $limit >/home/sfc250sm/XML/tmp/Comin	
		sleep 5		
		echo thy_on >/home/sfc250sm/XML/tmp/Comin
		sleep 20
		echo thy_on >/home/sfc250sm/XML/tmp/Comin
		sleep 20
		echo thy_on >/home/sfc250sm/XML/tmp/Comin
		sleep 20
		echo thy_on >/home/sfc250sm/XML/tmp/Comin
		sleep 15
		echo setCalibUI $1 $2 $3 1 >/home/sfc250sm/XML/tmp/Comin
		sleep 5	
	fi

	if [ -f /home/sfc250sm/XML/tmp/ErrorCalibPM.txt ]	
  	then 	
		EC=3
	fi
   else
	EC=2
   fi
else 
  EC=1
fi

echo thy_off >/home/sfc250sm/XML/tmp/Comin

exit $EC
