#!/bin/bash


EMAIL1=$( grep EMAIL1 /home/sfc250sm/GSMControl/GSM.conf | cut -d' ' -f2 )
EMAIL2=$( grep EMAIL2 /home/sfc250sm/GSMControl/GSM.conf | cut -d' ' -f2 )
SENDADDR="$EMAIL1,$EMAIL2"
#echo "Send mail to: \"$SENDADDR\""
MFrom=$( grep root /etc/email-addresses | cut -d':' -f2)
#echo "Mail From: $MFrom"


#Mails2send=$( ls /home/sfc250sm/eMail/*.mail )
Mails2send=$1

for SMail in $Mails2send
do

SMail="/home/sfc250sm/eMail/$SMail"
SMailName=$( basename $SMail )
SMailDate=$( date +%Y%m%d%H%M%S )
SMailmailedName="/home/sfc250sm/eMail/mailed/$SMailDate""-""$SMailName"
#echo "basename: $SMailName"
#echo "processing $SMail"
SUBJECT=$( grep SUBJECT $SMail | cut -d' ' -f1 --complement )
#echo "Subject: $SUBJECT"
MAILTEXT=$( cat $SMail | awk 'NR>1 {print $0}' )
echo "$MAILTEXT" | mail -s "$SUBJECT" -a"From: $MFrom" "$SENDADDR"

echo $( date ) > $SMailmailedName
echo "TO: $SENDADDR" >> $SMailmailedName
cat $SMail >> $SMailmailedName

done


exit 0

