#!/bin/sh

EC=0 
#erase flash
flash_erase /dev/mtd1 0 0 > /home/sfc250sm/SetHWConfig/tmp.txt
#sleep 3

easyGo=$4

get_wlan_drv=$(lsmod | grep cfg80211 | awk '{ print $4 }')
get_wlan_drv=${get_wlan_drv##*,}
mem_size=$(free -h | grep Mem | awk '{ print $2 }')
diskstat=$(df -h | grep root | tr -s ' ' | cut -d' ' -f2,5)

if [ "$1" = "" ] || [ "$2" = "" ] || [ "$3" = "" ]
then
	EC=253
	fi
if [ "$get_wlan_drv" = "" ]
then
	EC=252
	fi	
if [ "$mem_size" = "" ]
then
	EC=251
	fi
if [ "$diskstat" = "" ]
then
	EC=250
	fi
if [ "$EC" != "0" ]
then
	sleep 1
else
#clear old & creat new hwconfig file
echo > /home/sfc250sm/SetHWConfig/hwconfig.xml

	if [ "$easyGo" = "" ] 
	then
		/home/sfc250sm/SetHWConfig/SFC250SetHWConfig  -d1 "$1" -d2 "$2" -d3 "$3" -m $mem_size -w $get_wlan_drv -f $diskstat -e 0
	else
		/home/sfc250sm/SetHWConfig/SFC250SetHWConfig  -d1 "$1" -d2 "$2" -d3 "$3" -m $mem_size -w $get_wlan_drv -f $diskstat -e "$easyGo"	
	fi
EC=$?
fi

# check file 
if [ "$EC" != "0" ]
then
 sleep 1
#    echo error
else
	sleep 1
	# read HW config file
	cat -s /dev/mtdblock1 > /home/sfc250sm/XML/tmp.xml
	#check & change 
	/home/sfc250sm/ReadHWConfig/SFC250ReadHWConfig -m $mem_size -w $get_wlan_drv -f $diskstat
	#remove tmp file
	rm /home/sfc250sm/XML/tmp.xml


	#compare files
	diff -w  /home/sfc250sm/XML/hwconfig.xml /home/sfc250sm/SetHWConfig/hwconfig.xml >> /home/sfc250sm/SetHWConfig/tmp.txt
	EC=$?

	#echo "\n" >> /home/sfc250sm/XML/hwconfig.xml

	# set output
    if [ "$EC" != "0" ]
	then
		EC=254 
	fi

	
fi

exit $EC
