<!doctype html>
<html>

<?php
//--------  Doxygen   -----------------------------------------------
/*! 
 *	\file eventtrace.php
 * 	\brief			Parameter für bla...bla und x.y.z holen
 *	\pre				-
 *	\details		-
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//--------  Doxygen - End   -----------------------------------------
?>

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta charset="utf-8">
  <title>Event-Trace</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
 
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--	* alt *
	<link href="../jquery-mobile/jquery.mobile-1.3.2.min.css" rel="stylesheet" type="text/css"/>
  <link href="../css/jquery_page.css" rel="stylesheet" type="text/css">
  
	<style type="text/css"> </style>
  
	<script src="../jquery-mobile/jquery-1.9.1.min.js"></script>

	<script src="../jquery-mobile/jquery.mobile-1.3.2.min.js"></script>
	 -->
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

 
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--	* neu *	 -->
	<link href="../jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>
  <link href="../css/jquery_page.css" rel="stylesheet" type="text/css">
  
	<style type="text/css"> </style>
  
	<script src="../jquery-mobile/jquery-1.9.1.min.js"></script>

	<script src="../jquery-mobile/jquery.mobile-1.4.5.min.js"></script>

<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

  <script type="text/javascript">
		$(document).ready(function(){			<!-- unbeabsichtigtes 'Drag' von Elementen verhindern -->
			$("body").css("-webkit-user-select","none");
			$("body").css("-moz-user-select","none");
			$("body").css("-ms-user-select","none");
			$("body").css("-o-user-select","none");
			$("body").css("user-select","none");
		});
  </script>


</head>

<?php
	//--- Info-Dateien laden			---//
	$Status = simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
	$Mission = simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
	/*
	$SysInfo = simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");
	$Versions = simplexml_load_file("/home/sfc250sm/XML/Versions.xml");
	$WebVersion = simplexml_load_file("/home/sfc250sm/WebServer/WebVersion.xml");
	$GSM = simplexml_load_file("/home/sfc250sm/XML/tmp/GSM.xml");
	$GPS = simplexml_load_file("/home/sfc250sm/XML/tmp/GPS.xml");
	*/
	$ID = "";
	//--- Info-Dateien geladen	 ---//
?>

<body>

	<?php include ("../setup/trans_setup.php"); ?>						<!--	Translation setup_132.php	-->

<!--**********************************-->
<!--***             Info           ***-->
<div data-role="page" id="page">
	<div class="ui-bar-b" data-role="header">
		<h1>*??* Event-Trace</h1>
  	<a href="../start01.php" target="_self" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a> 
  </div>
	<div data-role="content">	
		<ul data-role="listview">
			<li><a href="#page2">*??* Trace</a></li>				<!-- Betriebsdaten <?php echo $ID[91] ?>-->
			<!--			usw				-->
		</ul>		
	</div>
  <!--  	<div data-role="footer"> 	<h4 class="ui-body-b">***</h4>  </div>   -->
</div>
<!--***       Info - Ende          ***-->
<!--**********************************-->


<!--**********************************-->
<!--***           Trace            ***-->
<div data-role="page" id="page2">
	<div class="ui-bar-b" data-role="header">
    <a href="#page" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a>
		<h1>*??* Trace</h1>				  <!--Betriebsdaten <?php echo $ID[91] ?> -->
    <!-- <a  id="but_back_2">fertig</a> -->
	</div>
	<div data-role="content">
    <table data-role="table" id="movie-table" data-mode="reflow" class="ui-responsive table-stroke">
      <thead>
        <tr>
          <!--<th data-priority="1"><?php echo $ID[95] ?></th>						 Nr. -->	
          <th data-priority="persist"><?php echo $ID[96] ?></th>			<!-- Parameter -->
          <th data-priority="2">   </th>
          <th data-priority="3"><?php echo $ID[97] ?></th>						<!-- Wert -->
        </tr>
      </thead> 
      <tbody>
        <tr>
          <td><?php echo $ID[98] ?></td>													<!-- Spannung -->
          <td>-</td>
          <td><?php echo $Status->RMS_U; ?></td>
        </tr>

        <tr>
          <td><?php echo $ID[99] ?></td>					  							<!-- Strom -->
          <td>-</td>
          <td><?php
								if ($Mission->Miss_Para->Puls_on_off->value == 0 )
									echo $Status->RMS_I500; 
								else
									echo $Status->RMS_PEAK_I500; 
              ?></td>
        </tr>

        <tr>
          <td><?php echo $ID[100] ?></td>						  						<!-- Sicherungswert -->
          <td>-</td>
          <td><?php echo $Status->RMS_LIM_I500; ?></td>
        </tr>

        <tr>
          <td><?php echo $ID[101] ?></td>													<!-- Warnschwelle -->
          <td>-</td>
          <td><?php echo $Status->RMS_WARN_I500; ?></td>
        </tr>

        <tr>
          <td><?php echo $ID[20] ?></td>													<!-- Wiederzuschaltung -->
          <td>-</td>
          <td>
						<?php
							if ($Mission->Miss_Para->Recl_on_off->value == 1 )
								echo $ID[7];			//	<!-- Ein -->
							else
								echo $ID[24];			//	<!-- Aus -->
            ?>
          </td>
          <tr>
            <td> > <?php echo $ID[103] ?></td>										<!-- Nummer -->
            <td>-</td>
            <td>
							<?php
                if ($Mission->Miss_Para->Infin_on_off->value == 1 )
                 echo $ID[23];
                else
                 echo $Mission->Miss_Para->Recl_count->value;
              ?>
            </td>
          </tr>
          <tr>
            <td> > <?php echo $ID[104] ?></td>				    				<!-- Pause -->
            <td>-</td>
            <td>
							<?php	echo $Mission->Miss_Para->Recl_time->value.$ID[115];	?>	<!-- xxx sek -->
            </td>
          </tr>        
       

        <tr>
          <td><?php echo $ID[105] ?></td>						  						<!-- Pulsmodus -->
          <td>-</td>
          <td>
						<?php
							if ($Mission->Miss_Para->Puls_on_off->value == 1 )
								echo $ID[7];			//	<!-- Ein -->
							else
								echo $ID[24];			//	<!-- Aus -->
            ?>
					</td>
          <tr>
            <td> > <?php echo $ID[106] ?></td>										<!-- Pulsfolge -->
            <td>-</td>
            <td>
							<?php
                if ($Mission->Miss_Para->Autman_on_off->value == 1 )
                 echo $ID[149];			//	<!-- auto. -->
                else
                 echo $ID[150];			//	<!-- man. -->
              ?>
            </td>
          </tr>
          <tr>
            <td> > <?php echo $ID[107] ?></td>					  				<!-- Halbwellen -->
            <td>-</td>
            <td>
							<?php	echo $Mission->Miss_Para->Half_wave->value;	?>
            </td>
          </tr>        
          <tr>
            <td> > <?php echo $ID[104] ?></td>										<!-- Pause -->
            <td>-</td>
            <td>
							<?php	echo $Mission->Miss_Para->Puls_time->value.$ID[115];	?>	<!-- xxx sek -->
            </td>
          </tr>        
 

        <tr>
          <td><?php echo $ID[108] ?></td>			  	    						<!-- Temperatur -->
          <td>-</td>
          <td><?php echo $Status->Temp_Heatsink."°C"; ?></td>
        </tr>
<!--
        <tr>
          <th>xxx</th>
          <td><a href="#">Thyristorspannung</a></td>
          <td>-</td>
          <td><?php echo $Status->RMS_UTH; ?></td>
        </tr>
-->        
      </tbody>
    </table>
	</div>
</div>
<!--***       Trace - ENDE         ***-->
<!--**********************************-->


</body>

</html>