//****************************************************

var StateMachine = 0;	// StateMachine zu Beginn deaktivieren
var request1 = false;
var aktiv1 = true;
var state = 0;				// Position der Statemachine
var usbloop = 4;			// Wiederholzeit USB-Nachfrage
var intype = 0;				// 12 = Fault event data : 13 = U-I logger data
var url = 0; id = 0, val1 = 0, val2 = 0;

//****************************************************
//*********    Request1 (1 sec)  starten      ********
//****************************************************
function Start_Request1()
{
	aktiv1 = window.setInterval("javascript:dataexpoRequest()", 1047);
	StateMachine = 0;	// StateMachine zu Beginn deaktivieren
	state = 0;				// Position der Statemachine
	usbloop = 3;			// Wiederholzeit USB-Nachfrage
	$("#expostart, #expostatus, #keepusb, #exposli1, #expo2, #expo3").hide();			// Buttons, Textfleder, Slider verstecken
	intype = 19;			// 12 = Fault event data : 13 = U-I logger data : : : 19 = CopyEv.xml neu erstellen
	javascript:dataexpoRequest('01',intype,0);				// ,0												// CopyEv.xml neu erstellen
	intype = 12;			// 12 = Fault event data : 13 = U-I logger data : : : 19 = CopyEv.xml neu erstellen
	//	alert("bin in Start_Request1");
}

//****************************************************
//*************    Request1  stoppen      ************
//****************************************************
function Stopp_Request1()
{
	clearInterval(aktiv1); 
}

//************************************************************
//---	Requestanfrage für Daten-Export-Werte
//

//var aktiv = window.setInterval("javascript:dataexpoRequest()", 1047);	// 1047		'01',val1,val2,val3

//--- Request senden
function dataexpoRequest(id,val1,val2) 	// ,val3
{
	// Request erzeugen
	if (window.XMLHttpRequest) {
		request1 = new XMLHttpRequest(); // Mozilla, Safari, Opera
	} else if (window.ActiveXObject) {
		try {
			request1 = new ActiveXObject('Msxml2.XMLHTTP'); // IE 5
		} catch (e) {
			try {
				request1 = new ActiveXObject('Microsoft.XMLHTTP'); // IE 6
			} catch (e) {}
		}
	}

	//--- überprüfen, ob Request erzeugt wurde
	if (!request1)	{
		alert("Kann keine XMLHTTP-Instanz erzeugen");
		return false;
	} else {
		// >>>var 
		url = "../setup/getdatexp.php";
		// alert("request1 !!! " + url +" "+ id +" "+ val1 +" "+ val2);
		
		// var val1 = intype;
		switch (id) 
		{
			case "00":							// InputType festlegen 
				// alert("Wert für InputType - " + val1 +" - " + state);
				intype = val1;
				state = 0;
				break;
			
			case "01":							// speichern auslösen
				//	alert("Wert für tools.php - " + val1);
				url = "../setup/tools.php";
				break;
				
			case "02":							// Daten löschen
				if(intype == 12)			// Auswahl U-I logger data
					intype = 14;
				if(intype == 13)			// Auswahl Fault event data
					intype = 15;
				url = "../setup/tools.php";
				state = 6;						// Daten erfolgreich gelöscht (ohne Überprüfung)
				//	alert("Daten löschen"+"  "+val1);;
				break;
				
			case "03":							// USB-Stick sicher auswerfen
				intype = 16;
				url = "../setup/tools.php";
				state = 7;						// USB-Stick entfernen
				//	alert("USB-Stick sicher auswerfen"+"  "+val1);;
				break;
		}
		//---
		if(usbloop <= 0)		// USB-Nachfrage, wenn kein USB-Stick eingesteckt ist
		{	//			alert("usbloop: "+usbloop);
			id = "01";
			val1 = intype;
			val2 = 0;
			var url = "../setup/tools.php";
			usbloop = 3;
		}	
		//---	
		val1 = intype;					// Daten Eingangstyp
		val2 = state; 					// aktueller state der Statemachine
		//val3 = "***frei***"; 	// ***frei***
		//---

	}
	
	//--- Request öffnen
	//	alert("set request1 to ..." + url +" "+ id +" "+ val1 +" "+ val2);
	request1.open('post', url, true);		// true
	// Requestheader senden
	request1.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	// Request senden									'reclose='				'reclosti='+val2
	request1.send('&id='+id+'&v1='+val1+'&v2='+val2);			// +'&v3='+val3
	// Request auswerten
	request1.onreadystatechange = interpretRequest1;
	
//	alert("!!!" + request1.getResponseHeader('Last-Modified'));

}	//--- Request senden-ENDE


// Request auswerten
function interpretRequest1() 
{	//	alert("interpretRequest");
	if (request1.readyState == 4 && request1.status == 200) 
	{					
		//--- Antwort des Servers -> als XML-Dokument
		var xmlDoc	= request1.responseXML;
		//	alert(xmlDoc + " von loadstatusxml.js");
		if (xmlDoc != null)
		{	//	alert(xmlDoc + "... bin drin");

			//var wert0="",wert1="",wert2="",wert3="",wert4="",wert5="",wert6="",wert7="",wert8="",wert9="",wert10="";
			//	var x = "* Pause * ";
		
			//--- Werte aus Übergabe-XML holen
			var wert = []; 																									// Array für die XML-Daten 
			wert[1] ="---";	
			wert[2] ="---";	
			var xanz = xmlDoc.getElementsByTagName("xwert").length;					// Anzahl der XML-Daten abfragen
			//	alert (xanz);
			for (var i = 0; i < xanz; i++)
			{		
				if(xmlDoc.getElementsByTagName('xwert')[i].hasChildNodes())		// XML-Daten auslesen
					wert[i] = xmlDoc.getElementsByTagName("xwert")[i].firstChild.nodeValue;				
					//				if(xmlDoc.getElementsByTagName('xwert0')[0].hasChildNodes())
					//					var wert0	= xmlDoc.getElementsByTagName('xwert0')[0].firstChild.nodeValue;
			}
					/*--- beide Ausgaben sind möglich ---*/
					//alert(wert[0]+" "+wert[1]+" "+wert[2]+" "+wert[3]+" "+wert[4]+" "+wert[5]);						
					//alert("2. " + wert.toString() );
					//alert("... fertsch ...");
					/*---   ---*/	
			//---							

			//************* Statemachine-Monitoring ************
			//	$("#text-308").show();	
			//	$("#text-308").val("state: "+state).text('refresh');
			//**************************************************

			if(intype != 0 && StateMachine == 1)
			{
				//--- StateMachine	
				switch (state) 
				{
					case 0:																													// Datentyp wurde ausgewählt
						$("#expostart").show();
						$("#theSlider1").val(0).slider('refresh');										// Slider Aktuell einstellen
						if(wert[3]*1 > 0 || wert[1].trim() == "error")
							state = 1;
						else
							state = 5;					// keine Daten vorhanden -> Abbruch
						//	alert("state "+state+" -- intype "+intype);
						//---
						break;
					
					case 1:																													// Kopieranforderung (intype) anfordern
						//	alert("state "+state+" --> "+wert[2]);
						$("#text-307").val("").text('refresh');
						if(wert[1].trim() == "error")
						{
							if(wert[2].trim() == "DiskFull")
							{	// alert("FULL");																							// DiskFull
								state = 8;
							}
							else
							{
								$("#expostart").hide();
								$("#expostatus").show();
								$("#text-307").val(wert[5]).text('refresh');								// No USB
								usbloop--;
							}
						}
						//---
						if(wert[2].trim() == "Copying" || wert[2].trim() == "Successful")		// Kopiervorgang startet
						{
							//	alert("state "+state+" --> "+wert[2]+" "+wert[3]);
							if(wert[3]*1 > 0)
							{
								$("#expostatus").show();
								$("#keepusb").show();
								document.getElementById("exposli1").style.background = "red";	//coral	royalblue
								$("#exposli1 .ui-slider-bg").css( "background-color", "red" );							
								$("#exposli1").show();
								$("#theSlider1").attr("max", wert[3]*1);										// Slider-Total einstellen
								state = 2;
							}
							else
								state = 5;					// keine Daten vorhanden -> Abbruch
						}
						//---
						break;
											
					case 2:														// Kopiervorgang läuft									
						//	alert("state "+state+" --> "+wert[2]);
						$("#text-307").val(wert[5]).text('refresh');
						$("#theSlider1").val(wert[4]*1).slider('refresh');			// Slider Aktuell einstellen
						//---
						if(wert[2].trim() == "Verify" || wert[2].trim() == "Successful" )		// Überprüfung starten
							state = 3;
						//---
						break;

					case 3:														// Überprüfung									
						//	alert("Überprüfung");
						document.getElementById("exposli1").style.backgroundColor = "yellow";
						$("#exposli1 .ui-slider-bg").css( "background-color", "yellow" );													
						$("#text-307").val(wert[5]).text('refresh');				// Checking
						//---
						if(wert[2].trim() == "Successful")		// ... wenn erfolgreich
							state = 4;
						//---
						break;
	
					case 4:														// ... fertig (Successful)								
						//	xxx
						document.getElementById("exposli1").style.backgroundColor = "lime";
						$("#exposli1 .ui-slider-bg").css( "background-color", "lime" );																		
						$("#text-307").val(wert[5]).text('refresh');			// Data export successful!
						$("#expo2").show();																// Button Delete ... anzeigen
						$("#expo3").show();																// Button Remove USB ... anzeigen
						$("#keepusb").hide();
						//---
						break;
	
					case 5:														// ... keine Daten vorhanden								
						//	alert(".. es sind keine Daten vorhanden!");
						$("#expostart").hide();
						$("#expostatus").show();
						$("#expo3").show();																// Button Remove USB ... anzeigen
						$("#text-307").val(wert[5]).text('refresh');			// xxx
						// alert(wert[5]);
						//---
						break;

					case 6:																							// ... Daten gelöscht								
						//	alert(".. es sind keine Daten vorhanden!");
						$("#expostart, #exposli1, #expo2").hide();
						$("#expostatus, #expo3").show();
						$("#text-307").val(wert[5]).text('refresh');			// xxx
						// alert(wert[5]);
						//---
						break;

					case 7:																							// ... USB-Stick entfernen							
						//	alert(".. es sind keine Daten vorhanden!");
						$("#expostart, #exposli1, #expo2, #expo3").hide();
						$("#expostatus").show();
						$("#text-307").val(wert[5]).text('refresh');			// xxx
						// alert(wert[5]);
						//---
						break;

					case 8:																							// ... USB-Stick entfernen							
						//	alert(".. es sind keine Daten vorhanden!");
						$("#expostart, #exposli1, #expo2").hide();
						$("#expostatus, #expo3").show();
						$("#text-307").val(wert[5]).text('refresh');			// xxx
						// alert(wert[5]);
						//---
						break;

					//---
					default:
						//
						alert("... Fehler in Staemachine in  get_dat_exp.js! ");
						break;												
	
				}
				//---
			}

		}
					
	}
	else 
	{	//	alert("Der Request wurde abgeschlossen, ist aber nicht OK \ :"+request1.status);
		var abc = "abc";
	} 


}	//--- Request auswerten-ENDE



//************************************************************
//---	Fortschrittsbalken  für Daten-Export-Werte

    //EXAMPLE 1 - change highlight color based on slider value
    HighlightColor($("#theSlider1"));
//		alert("theSlider1 was chaged");
    $("#theSlider1").on("change", function(){
        HighlightColor($(this));
    });
    function HighlightColor(slider){
			// 		alert("HighLight");
        var theVal = slider.val();
        var color = "#0DB8B5";
        if (theVal < 20){
            color = "#D92727";
        } else if (theVal < 40){
            color = "#FC8F12";
        } else if (theVal < 60){
            color = "#FFE433";
        } else if (theVal < 80){
            color = "#6FCC43";
        }        
        
				// ... funktioniert noch nicht so richtig (bei mir ;-))
				//slider.closest(".ui-slider").find(".ui-slider-bg").css("background-color", color);        
    }



/*********************************************************************
function loadDoc() {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (xhttp.readyState == 4 && xhttp.status == 200) {
      myFunction(xhttp);
    }
  };
  xhttp.open("GET", "cd_catalog.xml", true);
  xhttp.send();
}

function myFunction(xml) {
  var i;
  var xmlDoc = xml.responseXML;
  var table="<tr><th>Artist</th><th>Title</th></tr>";
  var x = xmlDoc.getElementsByTagName("CD");
  for (i = 0; i <x.length; i++) { 
    table += "<tr><td>" +
    x[i].getElementsByTagName("ARTIST")[0].childNodes[0].nodeValue +
    "</td><td>" +
    x[i].getElementsByTagName("TITLE")[0].childNodes[0].nodeValue +
    "</td></tr>";
  }
  document.getElementById("demo").innerHTML = table;
}
**********************************************************************/