<?php
header('Content-Type: text/xml; charset=utf-8'); // sorgt für die korrekte XML-Kodierung
header('Cache-Control: must-revalidate, pre-check=0, no-store, no-cache, max-age=0, post-check=0'); // ist mal wieder wichtig wegen IE

//-------------------------------------------------------------------
/*! 
 *	\file getval30.php
 * 	\brief			Parameter für Puls-Modus holen
 *	\pre				-
 *	\details		-
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */

$ID = "";
include ("../setup/trans_setup.php");

$ID_norm		 = $ID[292];
$ID_verm  	 = $ID[293];
$ID_nkba  	 = $ID[294];

//-------------------------------------------------------------------
$ID = $_POST['id'];
/*
$w1 = $_POST['v1'];
$w2 = $_POST['v2'];
$w3 = $_POST['v3'];
$w4 = $_POST['v4'];
$w5 = $_POST['v5'];
*/
//-------------------------------------------------------------------

//-- XML-Dateien laden
$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
//---


//if(floor($Mission->FaultLoc->configFL->paraCable->section2->type / 10) > 0)



//--- XML-Datei für Übergabe erstellen
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<messwerte>\n";
//--- Kabelparameter Sektion1 setzen
echo " <xwert0>".$ID."</xwert0>\n";
																																// ...wer hat aufgerufen?																										
//--- Section1
echo " <xwert1>".$Mission->FaultLoc->configFL->paraCable->section1->type."</xwert1>\n";						// Kabeltyp																										
echo " <xwert2>".$Mission->FaultLoc->configFL->paraCable->section1->pos."</xwert2>\n";						// Ader/Core																
echo " <xwert3>".$Mission->FaultLoc->configFL->paraCable->section1->crossSection."</xwert3>\n";		// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section1->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section1->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert4>".$ID_norm."</xwert4>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert4>".$ID_verm."</xwert4>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert4>".$ID_nkba."</xwert4>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert4>--</xwert4>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert4>--</xwert4>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert5>".$Mission->FaultLoc->configFL->paraCable->section1->len."</xwert5>\n";						// Kabellänge

//--- Section2
echo " <xwert6>".$Mission->FaultLoc->configFL->paraCable->section2->type."</xwert6>\n";						// Kabeltyp																										
echo " <xwert7>".$Mission->FaultLoc->configFL->paraCable->section2->pos."</xwert7>\n";						// Ader/Core																
echo " <xwert8>".$Mission->FaultLoc->configFL->paraCable->section2->crossSection."</xwert8>\n";		// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section2->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section2->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert9>".$ID_norm."</xwert9>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert9>".$ID_verm."</xwert9>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert9>".$ID_nkba."</xwert9>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert9>--</xwert9>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert9>--</xwert9>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert10>".$Mission->FaultLoc->configFL->paraCable->section2->len."</xwert10>\n";					// Kabellänge
//---

//--- Section3
echo " <xwert11>".$Mission->FaultLoc->configFL->paraCable->section3->type."</xwert11>\n";					// Kabeltyp																										
echo " <xwert12>".$Mission->FaultLoc->configFL->paraCable->section3->pos."</xwert12>\n";					// Ader/Core																
echo " <xwert13>".$Mission->FaultLoc->configFL->paraCable->section3->crossSection."</xwert13>\n";	// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section3->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section3->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert14>".$ID_norm."</xwert14>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert14>".$ID_verm."</xwert14>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert14>".$ID_nkba."</xwert14>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert14>--</xwert14>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert14>--</xwert14>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert15>".$Mission->FaultLoc->configFL->paraCable->section3->len."</xwert15>\n";					// Kabellänge
//---

//--- Section4
echo " <xwert16>".$Mission->FaultLoc->configFL->paraCable->section4->type."</xwert16>\n";					// Kabeltyp																										
echo " <xwert17>".$Mission->FaultLoc->configFL->paraCable->section4->pos."</xwert17>\n";					// Ader/Core																
echo " <xwert18>".$Mission->FaultLoc->configFL->paraCable->section4->crossSection."</xwert18>\n";	// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section4->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section4->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert19>".$ID_norm."</xwert19>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert19>".$ID_verm."</xwert19>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert19>".$ID_nkba."</xwert19>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert19>--</xwert19>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert19>--</xwert19>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert20>".$Mission->FaultLoc->configFL->paraCable->section4->len."</xwert20>\n";					// Kabellänge
//---

//--- Section5
echo " <xwert21>".$Mission->FaultLoc->configFL->paraCable->section5->type."</xwert21>\n";					// Kabeltyp																										
echo " <xwert22>".$Mission->FaultLoc->configFL->paraCable->section5->pos."</xwert22>\n";					// Ader/Core																
echo " <xwert23>".$Mission->FaultLoc->configFL->paraCable->section5->crossSection."</xwert23>\n";	// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section5->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section5->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert24>".$ID_norm."</xwert24>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert24>".$ID_verm."</xwert24>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert24>".$ID_nkba."</xwert24>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert24>--</xwert24>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert24>--</xwert24>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert25>".$Mission->FaultLoc->configFL->paraCable->section5->len."</xwert25>\n";					// Kabellänge
//---

//--- Section6
echo " <xwert26>".$Mission->FaultLoc->configFL->paraCable->section6->type."</xwert26>\n";					// Kabeltyp																										
echo " <xwert27>".$Mission->FaultLoc->configFL->paraCable->section6->pos."</xwert27>\n";					// Ader/Core																
echo " <xwert28>".$Mission->FaultLoc->configFL->paraCable->section6->crossSection."</xwert28>\n";	// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section6->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section6->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert29>".$ID_norm."</xwert29>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert29>".$ID_verm."</xwert29>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert29>".$ID_nkba."</xwert29>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert29>--</xwert24>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert29>--</xwert29>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert30>".$Mission->FaultLoc->configFL->paraCable->section6->len."</xwert30>\n";					// Kabellänge
//---

//--- Section7
echo " <xwert31>".$Mission->FaultLoc->configFL->paraCable->section7->type."</xwert31>\n";					// Kabeltyp																										
echo " <xwert32>".$Mission->FaultLoc->configFL->paraCable->section7->pos."</xwert32>\n";					// Ader/Core																
echo " <xwert33>".$Mission->FaultLoc->configFL->paraCable->section7->crossSection."</xwert33>\n";	// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section7->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section7->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert34>".$ID_norm."</xwert34>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert34>".$ID_verm."</xwert34>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert34>".$ID_nkba."</xwert34>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert34>--</xwer34>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert34>--</xwert34>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert35>".$Mission->FaultLoc->configFL->paraCable->section7->len."</xwert35>\n";					// Kabellänge
//---

//--- Section8
echo " <xwert36>".$Mission->FaultLoc->configFL->paraCable->section8->type."</xwert36>\n";					// Kabeltyp																										
echo " <xwert37>".$Mission->FaultLoc->configFL->paraCable->section8->pos."</xwert37>\n";					// Ader/Core																
echo " <xwert38>".$Mission->FaultLoc->configFL->paraCable->section8->crossSection."</xwert38>\n";	// Querschnitt																
//-
if(floor($Mission->FaultLoc->configFL->paraCable->section8->type / 10) == 4)
{
	$QN = $Mission->FaultLoc->configFL->paraCable->section8->crossSectionN;		// Querschnitt N															
	switch ($QN) 
	{
			case 0:
					echo "<xwert39>".$ID_norm."</xwert39>\n";														// Querschnitt N - normal															
					break;
			case 1:
					echo "<xwert39>".$ID_verm."</xwert39>\n";														// Querschnitt N - vermindert															
					break;
			case 2:				
					echo "<xwert39>".$ID_nkba."</xwert39>\n";														// Querschnitt N - NKBA															
					break;
			default:
					echo "<xwert39>--</xwer39>\n";																			// Querschnitt N -	nix														
					break;
	} 
}
else
	echo "<xwert39>--</xwert39>\n";																								// Querschnitt N -	nix														
//-
echo " <xwert40>".$Mission->FaultLoc->configFL->paraCable->section8->len."</xwert40>\n";					// Kabellänge

//--- Originalwerte aus <section1>
echo " <xwert41>".$Mission->FaultLoc->configFL->paraCable->numberSections."</xwert41>\n";						// Anzahl der Sektionen
echo " <xwert42>".$Mission->FaultLoc->configFL->paraCable->section1->type."</xwert42>\n";						// Kabeltyp																										
echo " <xwert43>".$Mission->FaultLoc->configFL->paraCable->section1->pos."</xwert43>\n";						// Ader/Core																
echo " <xwert44>".$Mission->FaultLoc->configFL->paraCable->section1->crossSection."</xwert44>\n";		// Querschnitt																
echo " <xwert45>".$Mission->FaultLoc->configFL->paraCable->section1->crossSectionN."</xwert45>\n";	// Querschnitt N
echo " <xwert46>".$Mission->FaultLoc->configFL->paraCable->section1->len."</xwert46>\n";						// Kabellänge
//---
																													
echo "</messwerte>\n";

?>