<?php
header('Content-Type: text/xml; charset=utf-8'); // sorgt für die korrekte XML-Kodierung
header('Cache-Control: must-revalidate, pre-check=0, no-store, no-cache, max-age=0, post-check=0'); // ist mal wieder wichtig wegen IE

$ID = "";
include ("../setup/trans_setup.php");

$ID_Fuse 		 = $ID[11];
$ID_Recl  	 = $ID[102];
$ID_Puls  	 = $ID[8];
$ID_Paus  	 = $ID[22];
$ID_Imax  	 = $ID[1];
$ID_Ipeak  	 = $ID[3];
$ID_nocalib	 = $ID[256];				// Text:   PM - Kalibrierung nicht aktuell, Vorortung inaktiv
$ID_flasherr = $ID[257];				// Text:   PowerModul Hardwareproblem Flash-1 defekt


//-----------
//echo "\n Daten von ID:                 ",
 $IDin 				= $_POST['id'];
 $w1 				= $_POST['v1'];
 $Aktimg 		= $_POST['v2'];		// aktimgjog
 $Thycount	= $_POST['v3'];		// Zähler für Pulsbetrieb-Takt 
//-----------

$PulsPau		= "---";					// am 14.05.2018 eingefügt, Grund Meldung aus [error.log]
$PulsPau1		= "---";					//				"
$PulsPau2		= "---";					//				"

$OnOffA 			= "        ";  
$OnOffB 			= "        "; 
$OnOffC 			= "        "; 
$TempUnit 	= '°C';												// Temperatur-Einheit
$PmUpdate		= "PM update state: 1; 0;";		// PM-Update aus

$PhoneMail	= "00";

//---
$ip = $_SERVER["REMOTE_ADDR"];  
$host = gethostbyaddr($ip);
//---

//---
$Status 		= simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
$Status1 		= simplexml_load_file("/home/sfc250sm/XML/tmp/Status1.xml");
$Status2 		= simplexml_load_file("/home/sfc250sm/XML/tmp/Status2.xml");
//--- Änderung am 15.05.2018 wegen [error.log] 
if($Status == "" || $Status1 == "" || $Status2 == "")
{
	//	shell_exec("echo 'set_Buzzer 500' > /home/sfc250sm/XML/tmp/Comin ");		// Piezo Signalgeber 500 ms new
	exit;		//... wenn Status... nicht gelesen werden konnte dann Abbruch, alte Werte bleiben erhalten
}
//--- 

$Mission		= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");

$EventFile 	= simplexml_load_file("/home/sfc250sm/XML/tmp/FL_Event.xml");
$EventFile1 = simplexml_load_file("/home/sfc250sm/XML/tmp/FL_Event1.xml");
$EventFile2 = simplexml_load_file("/home/sfc250sm/XML/tmp/FL_Event2.xml");

$SysInfo		= simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");

$GSM				= simplexml_load_file("/home/sfc250sm/XML/tmp/GSM.xml");
$GPS				= simplexml_load_file("/home/sfc250sm/XML/tmp/GPS.xml");

$CA					= simplexml_load_file("/home/sfc250sm/XML/tmp/CA.xml");

$HWconfig		= simplexml_load_file("/home/sfc250sm/XML/hwconfig.xml");

$ID_modetxt  = "***";



//--- Wiedrzuschaltsituation für EasyGo-Mode berechnen
if ($Mission->Miss_Para->Recl_on_off->value *1 == 1 || 
			$Mission->Miss_Para1->Recl_on_off->value *1 == 1 || 
					$Mission->Miss_Para2->Recl_on_off->value *1 == 1)
{
	$EgWiedZu_1 = trim($Status->AUTO_RECLOSE_ANZ); 	$EgWiedZu_2 = trim($Status->AUTO_RECLOSE_INI_ANZ); 
		$EgWiedZu1_1 = trim($Status1->AUTO_RECLOSE_ANZ); 	$EgWiedZu1_2 = trim($Status1->AUTO_RECLOSE_INI_ANZ); 
			$EgWiedZu2_1 = trim($Status2->AUTO_RECLOSE_ANZ); 	$EgWiedZu2_2 = trim($Status2->AUTO_RECLOSE_INI_ANZ); 
}
//- Auswertung
if($EgWiedZu_2 >0)	$EgWiedZuAnz = $EgWiedZu_2;
	if($EgWiedZu1_2 >0)	$EgWiedZuAnz = $EgWiedZu1_2;
		if($EgWiedZu2_2 >0)	$EgWiedZuAnz = $EgWiedZu2_2;
$EgWiedZuCou = $EgWiedZu_1;
	if($EgWiedZu1_1 > $EgWiedZuCou)  $EgWiedZuCou = $EgWiedZu1_1;
		if($EgWiedZu2_1 > $EgWiedZuCou)  $EgWiedZuCou = $EgWiedZu2_1;
//--- Wiederzuschaltsituation für EasyGo-Mode berechnen - ENDE


// Kabeltyp betimmen
if($Mission->FaultLoc->configFL->paraCable->numberSections > 1)
	$KabelTyp = "Sektion";
else
{
	$tmp1 = $Mission->FaultLoc->configFL->paraCable->section1->type;
	$tmp2 = $Mission->FaultLoc->configFL->paraCable->section1->crossSection;
	$KabelTyp = intval(($tmp1/10))."x".$tmp2;																	// Ganzzahl aus <type> / 10
}
if($Mission->FaultLoc->configFL->paraCable->section1->type == 0)
	$KabelTyp = "---";


//--- SFC-Mode bestimmen   ... war aktiv bis 12.10.2020
// Text:    EasyGo / Experte																								
if($SysInfo->license_key == 1)
	$ID_modetxt1 = $ID[309];											// ...ab 12.10.2020		EasyGo  (linke Seite im Footer)
else
	$ID_modetxt1 = $ID[11];												// ...ab 25.11.2020		Sicherung 	(vorher Sicherungsmodus)
//--																																																				
$ID_modetxt2 = $ID[319];												// ...ab 12.10.2020		Experte (rechte Seite im Footer)

$ID_modetxt3 = $ID[25];													// ...ab 19.10.2020		Fehlerortung (Mitte Footer)
$ID_modetxt4 = $ID[297];												// ...ab 19.10.2020		Monitoring (Mitte Footer)
                                                                                                                                                               
/*																																																																															//--- SFC-Mode bestimmen   ... war aktiv bis 12.10.2020
// Text:   Fehlerortung / us																																																																														
if($Mission->FusePara->sfcmode->value == 1)
{
	if($SysInfo->license_key == 1)
    $ID_modetxt = $ID[25];															// Fehlerortung
	else
	  $ID_modetxt = $ID[86];															// us
}
    // Text:   Monitoring
    if($Mission->FusePara->sfcmode->value == 2)
        $ID_modetxt = $ID[297];													// Monitoring                                                                                                                                                              				 				// Text:   EasyGo
        if($Mission->FusePara->sfcmode->value == 3)
            $ID_modetxt = $ID[309];											// EasyGo
//--- SFC-Mode bestimmen   ... war aktiv bis 12.10.2020 - ENDE
*/        

//--- Abfrage nach erlaubten Zugriff über die IP-Adresse

$RequestIP = 0;
if($SysInfo->RequestIP == $ip || $ip == "127.0.0.1")	// nur wenn 'localhost' oder RequestIP aus Sysinfo mit Client-IP übereinstimmt
	$RequestIP = 1;																			// wird für diesen Client der Zugriff erlaubt!

// $RequestIP = 1; // Zwangsfreigabe für Zugriff

/* ------------------------------------

echo $SysInfo->RequestIP." - ".$ip;

$IpAddress = "10.105.6.118";		// DeskTop
//$IpAddress = "10.0.0.154";			// iPad

if ($_SERVER["REMOTE_ADDR"] == $IpAddress)
	echo "\n IP-Adresse  10.0.0.158  ruft an \n";
 ------------------------------------      */

//---



//---	 
$pma = $CA->PM_A; $pmb = $CA->PM_B; $pmc = $CA->PM_C;

//---	  !!! SRD-RC check auf fehlerhafte Einstellung !!!!
if($Mission->SRD_RC->RC->value == "on" && $Mission->SRD_RC->pairing->value == "nok")
{
	$Mission->SRD_RC->RC->value = "off";
	file_put_contents("/home/sfc250sm/XML/Mission.xml", $Mission->asXML());
	$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
}
//---


// SFC-Mode  0=[Client]; 1=[Service]; 2=[Develop]; 4=[Office];  8=[Error]; 
$footversion =	"-?!-  ";			
switch($SysInfo->mode*1)
{
	case 0:	$footversion ="SmartFuse ";
					break;
	case 1:	$footversion ="Service ";
					break;
	case 2:	$footversion ="Develop ";
					break;
	case 4:	$footversion ="Office ";
					break;
	default:	break;
}

//---
if($GSM->PIN_OK == 0 && $GSM->Pin_REQ == 1 && $GSM->DATA_VALID == 1)	// $GSM->SIM_INS == 1 && 
	$SimPinRequired = 1;	 				// Pineingabe erforderlich
else
	$SimPinRequired = 0;	 				// Pineingabe nicht erforderlich
//---


$Thycount = $Status->THY_COUNT;
//---
	
	
//--------		aktuellen Status abfragen  ENDE   ---------


//----------		UpdateProgress.txt abfragen  ------------
//-
$fp = @fopen("/home/sfc250sm/XML/tmp/UpdateProgress.txt","r");
if (!$fp)
	exit("Datei konnte nicht zum Schreiben geöffnet werden");
//---
	$Fortschritt = 0;
	$PmUpdate = fgets($fp,25);
	sscanf($PmUpdate,"PM update state: 1;%d",$Fortschritt);
	//	echo "Der Wert = $Fortschritt \n";
//---	
fclose($fp);
//-
//-------		UpdateProgress.txt abfragen  ENDE   ---------
	
//--- Reclose-Puls activity [0=aus|1=Reclose|2=Puls]  ---
//-
$ReclPulsAct = 0;
$Reclonoff = $Mission->Miss_Para->Recl_on_off->value *1 ;		
if ($Mission->Miss_Para->Recl_on_off->value *1  == 1 )
	$ReclPulsAct = 1;
if ($Mission->Miss_Para->Puls_on_off->value *1  == 1 )
	$ReclPulsAct = 2;
//-
//------------ Reclose-Puls activity ENDE ---------------

//--- PhoneMail-Status (GSM, ppp0, RSSI)  ---
//-
$PhoneMail = "0";
$Rssi = $GSM->RSSI;																									// RRSI auswerten
$PhoneMailTmp = intval(substr($Rssi,0,strpos($Rssi," dBm")))*-1;
if($GSM->Registration_GSM == 1)
{
	if($PhoneMailTmp >= 110)
		$PhoneMail = "0";
		else
		if($PhoneMailTmp > 100)
			$PhoneMail = "1";
			else
			if($PhoneMailTmp > 90)
				$PhoneMail = "2";
				else
				if($PhoneMailTmp > 80)
					$PhoneMail = "3";
					else
					if($PhoneMailTmp > 70)
						$PhoneMail = "4";
}
//---
if($SysInfo->ppp0 == 1)
	$PhoneMail = $PhoneMail.$PhoneMail;
else
	$PhoneMail = $PhoneMail."0";
//-
//--- PhoneMail-Status (GSM, ppp0, RSSI) - ENDE ---


//*************************************//
//*************************************//
//---			Rückgabewerte setzen			---//

if ($Status->THY_LOGIC_STATE == 1)  $OnOffA = "  [On] "; 
 	else $OnOffA = "  [Off] "; 
if ($Status1->THY_LOGIC_STATE == 1)  $OnOffB = "  [On] "; 
 	else $OnOffB = "  [Off] "; 
if ($Status2->THY_LOGIC_STATE == 1)  $OnOffC = "  [On] "; 
 	else $OnOffC = "  [Off] "; 

echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<messwerte>\n";
echo " <xwert0>".$OnOffA."</xwert0>\n";				//	PM-A
echo " <xwert56>".$OnOffB."</xwert56>\n";				//	PM-B
echo " <xwert57>".$OnOffC."</xwert57>\n";				//	PM-C

/*
$OnOffB = $OnOff;			// ... später aus den
$OnOffC = $OnOff;			// Status 1 und 2 holen
*/


//------------------------------------------------------
//--- PM-A Spannung und Strom anzeigen
if ($Status->MOK == 0)	// keine 12V da = 1	(activ low)
{
	echo " <xwert1>".'---'."</xwert1>\n";				// Spannung
	$Ua = "---";
	echo " <xwert2>".'---'."</xwert2>\n";				// Strom
	$Ia = "---";
}
else																					// 12V sind  da = 0 
{
	if($Status->PULSE_ON == 0)
	{
		if ($Status->RMS_I500 <=5)
		{
			echo " <xwert2>&lt;"."5 A"."</xwert2>\n";
			$Ia = "&lt;5 A";
		}
		else
		{
			echo " <xwert2>".$Status->RMS_I500."</xwert2>\n";
			$Ia = $Status->RMS_I500;
		}
	}
	else
	{
		if ($Status->RMS_PEAK_I500 <=5)
		{
			echo " <xwert2>&lt;"."5 A"."</xwert2>\n";
			$Ia = "&lt;5 A";			
		}
		else
		{			
			echo " <xwert2>".$Status->RMS_PEAK_I500."</xwert2>\n";
			$Ia = $Status->RMS_PEAK_I500;			
		}
	}
	//--- Spannung	PM-A
	echo " <xwert1>".$Status->RMS_U."</xwert1>\n";
	$Ua = $Status->RMS_U;	 
}
//------------------------------------------------------

//------------------------------------------------------
//--- PM-B Spannung und Strom anzeigen
if ($Status1->MOK == 0)	// keine 12V da = 1	(activ low)
{
	$Ub = "---";
	$Ib = "---";
}
else																					// 12V sind  da = 0 
{
	if($Status1->PULSE_ON == 0)
	{
		if ($Status1->RMS_I500 <=5)
			$Ib = "&lt;5 A";
		else
			$Ib = $Status1->RMS_I500;
	}
	else
	{
		if ($Status1->RMS_PEAK_I500 <=5)
			$Ib = "&lt;5 A";			
		else
			$Ib = $Status1->RMS_PEAK_I500;			
	}
	//--- Spannung	
	$Ub = $Status1->RMS_U;	 
}
//------------------------------------------------------

//------------------------------------------------------
//--- PM-C Spannung und Strom anzeigen
if ($Status2->MOK == 0)	// keine 12V da = 1	(activ low)
{
	$Uc = "---";
	$Ic = "---";
}
else																					// 12V sind  da = 0 
{
	if($Status2->PULSE_ON == 0)
	{
		if ($Status2->RMS_I500 <=5)
			$Ic = "&lt;5 A";
		else
			$Ic = $Status2->RMS_I500;
	}
	else
	{
		if ($Status2->RMS_PEAK_I500 <=5)
			$Ic = "&lt;5 A";			
		else
			$Ic = $Status2->RMS_PEAK_I500;			
	}
	//--- Spannung	
	$Uc = $Status2->RMS_U;	 
}
//------------------------------------------------------

//--- ... wird hier eigentlich nicht mehr gebraucht ...
//--- Warnschwelle 
echo " <xwert3>".$Status->RMS_WARN_I500."</xwert3>\n";				// PM-A
echo " <xwert4>".$Status->RMS_LIM_I500."</xwert4>\n";
//---

//------------------------------------------------------
//--- PM-A Wiedereinschalten und Pulsbetrieb ermitteln
if ($Status->PULSE_ON == 0)
{	
	$Pulse = "---";																				// deaktiv.
	if ($Mission->Miss_Para->Recl_on_off->value *1 == 0)
	{
		echo " <xwert5>"."---"."</xwert5>\n";									// wenn Wiedereinschalten Aus, Anzeige löschen	
		$Reclose = "---";
	}
	else
	{
		if ($Status->AUTO_RECLOSE_ANZ *1 >= 201)			// bis20200414: 99
		{
		 	echo " <xwert5>".">201"."/".trim($Status->AUTO_RECLOSE_INI_ANZ)."</xwert5>\n";				// "unendl."   // bis20200414: 99
			$Reclose = ">200";													// bis20200414: 99
		}
		else
		{
			echo " <xwert5>".trim($Status->AUTO_RECLOSE_ANZ)."/".trim($Status->AUTO_RECLOSE_INI_ANZ)."</xwert5>\n";
			$Reclose = trim($Status->AUTO_RECLOSE_ANZ)."/".trim($Status->AUTO_RECLOSE_INI_ANZ);
		}
	}
}
//---
if ($Status->PULSE_ON == 1)
{
	$Reclose = "---";
	if($Status->AUTO_RECLOSE_INI_ANZ*1 == 255)
	{
		echo " <xwert5>"."auto."."</xwert5>\n";															// automatic
		$Pulse = "auto.";
		$PulsPau = $Status->AUTO_RECLOSE_TIME_in_sec*1;		
	}
	else
		if($Status->AUTO_RECLOSE_ANZ*1 == 0)
		{
			echo " <xwert5>"."man."."</xwert5>\n";														// manuel
			$Pulse = "man.";		// man.
		}
		else
		{
			echo " <xwert5>".trim($Status->AUTO_RECLOSE_ANZ)."</xwert5>\n";		// ???
			$Pulse = trim($Status->AUTO_RECLOSE_ANZ);
		}
}
//------------------------------------------------------

//------------------------------------------------------
//--- PM-B Wiedereinschalten und Pulsbetrieb ermitteln
if ($Status1->PULSE_ON == 0)
{	
	$Pulse1 = "---";
	//************** HIER ANPASSUNG FÜR PM-B  *******************
	if ($Mission->Miss_Para1->Recl_on_off->value *1 == 0)
	//************** HIER ANPASSUNG FÜR PM-B  *******************
		$Reclose1 = "---";
	else
	{
		if ($Status1->AUTO_RECLOSE_ANZ *1 >= 201)			// bis20200414: 99
			$Reclose1 = ">200";													// bis20200414: 99
		else
			$Reclose1 = trim($Status1->AUTO_RECLOSE_ANZ)."/".trim($Status1->AUTO_RECLOSE_INI_ANZ);
	}
}
//---
if ($Status1->PULSE_ON == 1)
{
	$Reclose1 = "---";
	if($Status1->AUTO_RECLOSE_INI_ANZ*1 == 255)
	{
		$Pulse1 = "auto.";
		$PulsPau1 = $Status1->AUTO_RECLOSE_TIME_in_sec*1;
	}
	else
		if($Status1->AUTO_RECLOSE_ANZ*1 == 0)
			$Pulse1 = "man.";
		else
			$Pulse1 = trim($Status1->AUTO_RECLOSE_ANZ);
}
//------------------------------------------------------

//------------------------------------------------------
//--- PM-C Wiedereinschalten und Pulsbetrieb ermitteln
if ($Status2->PULSE_ON == 0)
{	
	$Pulse2 = "---";
	//************** HIER ANPASSUNG FÜR PM-C  *******************
	if ($Mission->Miss_Para2->Recl_on_off->value *1 == 0)
	//************** HIER ANPASSUNG FÜR PM-C  *******************
		$Reclose2 = "---";
	else
	{
		if ($Status2->AUTO_RECLOSE_ANZ *1 >= 201)			// bis20200414: 99
			$Reclose2 = ">200";													// bis20200414: 99
		else
			$Reclose2 = trim($Status2->AUTO_RECLOSE_ANZ)."/".trim($Status2->AUTO_RECLOSE_INI_ANZ);
	}
}
//---
if ($Status2->PULSE_ON == 1)
{
	$Reclose2 = "---";
	if($Status2->AUTO_RECLOSE_INI_ANZ*1 == 255)
	{
		$Pulse2 = "auto.";
		$PulsPau2 = $Status2->AUTO_RECLOSE_TIME_in_sec*1;
	}
	else
		if($Status2->AUTO_RECLOSE_ANZ*1 == 0)
			$Pulse2 = "man.";
		else
			$Pulse2 = trim($Status2->AUTO_RECLOSE_ANZ);
}
//------------------------------------------------------





//-----
	echo " <xwert6>".$Thycount."</xwert6>\n";					// Thyristor counter
	echo " <xwert7>".$host."</xwert7>\n";							// "localhost or not"
//-----
	echo " <xwert8>".$IDin."</xwert8>\n";								// "unendl."
	echo " <xwert9>".$w1."</xwert9>\n";								// 
//-----

//----------------------------------//
//----------------------------------//
// Werte aus FL_Event.xml

//--- FaultDistance für PMA
$FaultDistanceA	= "---";
if($EventFile->Stat != "")
{	
	if(strstr($EventFile->Stat->L_N->FaultDistance,"---") == false)
		$FaultDistanceA	= $EventFile->Stat->L_N->FaultDistance;
	else
		if(strstr($EventFile->Stat->L_Llead->FaultDistance,"---") == false)
			$FaultDistanceA	= $EventFile->Stat->L_Llead->FaultDistance;
		else
			if(strstr($EventFile->Stat->L_Llagg->FaultDistance,"---") == false)
				$FaultDistanceA	= $EventFile->Stat->L_Llagg->FaultDistance;
}
//---		
//--- FaultDistance für PMB
$FaultDistanceB	= "---";
if($EventFile1->Stat != "")
{	
	if(strstr($EventFile1->Stat->L_N->FaultDistance,"---") == false)
		$FaultDistanceB	= $EventFile1->Stat->L_N->FaultDistance;
	else
		if(strstr($EventFile1->Stat->L_Llead->FaultDistance,"---") == false)
			$FaultDistanceB	= $EventFile1->Stat->L_Llead->FaultDistance;
		else
			if(strstr($EventFile1->Stat->L_Llagg->FaultDistance,"---") == false)
				$FaultDistanceB	= $EventFile1->Stat->L_Llagg->FaultDistance;
}
//---		
//--- FaultDistance für PMC
$FaultDistanceC	= "---";
if($EventFile2->Stat != "")
{	
if(strstr($EventFile2->Stat->L_N->FaultDistance,"---") == false)
	$FaultDistanceC	= $EventFile2->Stat->L_N->FaultDistance;
else
	if(strstr($EventFile2->Stat->L_Llead->FaultDistance,"---") == false)
		$FaultDistanceC	= $EventFile2->Stat->L_Llead->FaultDistance;
	else
		if(strstr($EventFile2->Stat->L_Llagg->FaultDistance,"---") == false)
			$FaultDistanceC	= $EventFile2->Stat->L_Llagg->FaultDistance;
}
//---		
//echo $FaultDistanceA;
//echo $FaultDistanceB;
//echo $FaultDistanceC;
//---

//-------- Fault-Simulation --------//
/*
echo " <xwert10>5</xwert10>\n";								// Event.Count
echo " <xwert11>'transient'</xwert11>\n";			// Event.Type		noneEvent, preEvent, discarded, transient, overload, trigger
echo " <xwert12>'no_param'</xwert12>\n";	 		// Event.Lenght 'no_param' '234 m'
*/
//----- Fault-Simulation ENDE ------//

//----- Werte aus EventFile
echo " <xwert10>".$EventFile->Event->Count."</xwert10>\n";							// $EventFile->Event.Count

//
echo " <xwert11>".$EventFile->Event->Type."</xwert11>\n";	 							// $EventFile->Event.Type
/*   
$NoCal0 = "nocalib";													// <xwert11>
$NoCal1 = "xxx"; 													// <xwert84>
$NoCal2 = "flasherr";													// <xwert87>
echo " <xwert11>".$NoCal0."</xwert11>\n";	 		// Testeingabe für Event.Type  'nocalib'
*/

echo " <xwert12>".$FaultDistanceA."</xwert12>\n";												// $EventFile->Event.Lenght
//-----

//----------------------------------//
//----------------------------------//

//**echo " <xwert12>137m</xwert12>\n";	 																// $EventFile->Event.Lenght
echo " <xwert13>80</xwert13>\n";	 																			// Warnschwelle in %  erstmal 80 fest, später aus Mission.xml

//---
//date_default_timezone_set("Europe/Berlin");
$timestamp = time();
$datum = date("d.m.Y",$timestamp);
$uhrzeit = date("H:i:s",$timestamp);

//	$uhrzeit = "07.07.07";

//$datum = "23.11.2015";
//$uhrzeit = "12:00:00";
echo " <xwert14>".$datum."</xwert14>\n";	 															// Datum
echo " <xwert15>".$uhrzeit."</xwert15>\n";	 														// Uhrzeit
//	echo $datum," - ",$uhrzeit," Uhr";
//---
echo " <xwert16>".$SysInfo->mode."</xwert16>\n";	 											// SFC-Mode
echo " <xwert17>".$Mission->SRD_RC->RC->value."</xwert17>\n";	 					// SRD-RC Ein/Aus
//--
//echo " <xwert18>"."0"."</xwert18>\n";																	// DeckelStatus-Simulation ( 0 = zu | 1 = auf )		
echo " <xwert18>".$Status->ClosureSW."</xwert18>\n";										// Deckel ( 0 = zu | 1 = auf )		
echo " <xwert19>".$Aktimg."</xwert19>\n";	 															// aktuelles Jogdial-Image		
//--
echo " <xwert20>".$Status->PM_OK."</xwert20>\n";												// Powermodul ok bzw. vorhanden	
echo " <xwert21>".$Fortschritt."</xwert21>\n";	 												// PowerModul Update Status in %
//--
echo " <xwert22>".$ReclPulsAct."</xwert22>\n";	 												// Reclose-Puls activity [0=aus|1=Reclose|2=Puls]
//--
//	echo " <xwert23>".$Status->PEAK_I10k."</xwert23>\n";								// Spitzenstrom			
echo " <xwert23>".$Status->RMS_PEAK_I10k_MAX."</xwert23>\n";						// Spitzenstrom	RMS
echo " <xwert24>".$Status->I_DIRECTION."</xwert24>\n";	 								// PM-A Lastflussrichtung 	1 = L->L'  /  0 = L<-L'
echo " <xwert25>".$EventFile->Ipeak->Imax."</xwert25>\n";								// Spitzenstrom Error 1 = L->L'  /  0 = L<-L'
//--
echo " <xwert26>".$Status->AUTO_RECLOSE_TIME_in_sec."</xwert26>\n";			// Wiedereinschalt-Zeit, auch bei Puls
echo " <xwert27>".$Mission->Miss_Para->Half_wave->value."</xwert27>\n";	// Anzahl der Halbwellen im Pulsbetrieb
echo " <xwert28>".$Status->THY_LOGIC_STATE."</xwert28>\n";	 						// Thyristor-Status-LOGIC Ein/Aus
echo " <xwert29>".$Status->Thy_State."</xwert29>\n";	 									// Thyristor-Status  Ein/Aus
//---
echo " <xwert30>".$SimPinRequired."</xwert30>\n";	 											// Pineingabe erforderlich
//---
//----- 3phase -----
echo " <xwert31>".$CA->CAconn."</xwert31>\n";	 													// SFC250-CA angeschlossen 0 = nein | 1 = ja
echo " <xwert32>".$CA->PM_A."</xwert32>\n";	 														// PM-A angeschlossen 0 = nein | 1 = ja
echo " <xwert33>".$CA->PM_B."</xwert33>\n";	 														// PM-B angeschlossen 0 = nein | 1 = ja
echo " <xwert34>".$CA->PM_C."</xwert34>\n";	 														// PM-C angeschlossen 0 = nein | 1 = ja
//--- PM-A
echo " <xwert35>".$Status->RMS_LIM_I500."</xwert35>\n";									// Fuse
echo " <xwert36>".$Status->RMS_WARN_I500."</xwert36>\n";								// Alarm
echo " <xwert37>".$Ia."</xwert37>\n";																		// ILim
echo " <xwert38>".$Status->RMS_PEAK_I10k_MAX."</xwert38>\n";						// Imax
echo " <xwert39>".$Ua."</xwert39>\n";																		// U
echo " <xwert40>".$Reclose."</xwert40>\n";															// Reclose		
echo " <xwert41>".$Pulse."</xwert41>\n";																// Pulse 			man / auto.
/*
if ($Status->PULSE_ON == 1)
	echo " <xwert41>"."on"."</xwert41>\n";																// Pulse ein
else
	echo " <xwert41>"."---"."</xwert41>\n";																// Pulse aus
*/
//--- PM-B																										// !!! A C H T U N G  aktuell teilweise aus Status !!!
echo " <xwert42>".$Status1->RMS_LIM_I500."</xwert42>\n";								// Fuse					$Status1
echo " <xwert43>".$Status1->RMS_WARN_I500."</xwert43>\n";								// Alarm
echo " <xwert44>".$Ib."</xwert44>\n";																		// ILim
echo " <xwert45>".$Status1->RMS_PEAK_I10k_MAX."</xwert45>\n";						// Imax
echo " <xwert46>".$Ub."</xwert46>\n";																		// U
echo " <xwert47>".$Reclose1."</xwert47>\n";															// Reclose	
echo " <xwert48>".$Pulse1."</xwert48>\n";																// Pulse 			man / auto.
/*
if ($Status->PULSE_ON == 1)
	echo " <xwert48>"."on"."</xwert48>\n";																// Pulse ein
else
	echo " <xwert48>"."---"."</xwert48>\n";																// Pulse aus
*/
//--- PM-C
echo " <xwert49>".$Status2->RMS_LIM_I500."</xwert49>\n";								// Fuse					$Status2
echo " <xwert50>".$Status2->RMS_WARN_I500."</xwert50>\n";								// Alarm
echo " <xwert51>".$Ic."</xwert51>\n";																		// ILim
echo " <xwert52>".$Status2->RMS_PEAK_I10k_MAX."</xwert52>\n";						// IMax
echo " <xwert53>".$Uc."</xwert53>\n";																		// U
echo " <xwert54>".$Reclose2."</xwert54>\n";															// Reclose		
echo " <xwert55>".$Pulse2."</xwert55>\n";																// Pulse 			man / auto.
/*
if ($Status->PULSE_ON == 1)
	echo " <xwert55>"."on"."</xwert55>\n";																	// Pulse ein
else
	echo " <xwert55>"."---"."</xwert55>\n";																// Pulse aus
*/
//---																													// !!! A C H T U N G  aktuell teilweise aus Status !!!
//		<xwert56> werden am Anfang besetzt																// Thy_State PM-B
//		<xwert57> werden am Anfang besetzt																// Thy_State PM-C
//---
echo " <xwert58>".$PhoneMail."</xwert58>\n";														// PhoneMail-Status (GSM, ppp0, RSSI)
echo " <xwert59>".$PhoneMailTmp."</xwert59>\n";													// Temporär RSSI)
//---
echo " <xwert60>".$CA->CAstateChanged."</xwert60>\n";										// Anschlussänderung CA, ... wurde an- oder abgesteckt
//---
echo " <xwert61>".$Status1->PM_OK."</xwert61>\n";												// B > Powermodul ok bzw. vorhanden	
echo " <xwert62>".$Status2->PM_OK."</xwert62>\n";												// C > Powermodul ok bzw. vorhanden	
//---
echo " <xwert63>".$SysInfo->eventCount."</xwert63>\n";									// eventCount wird bei jedem Event hochgezählt
echo " <xwert64>".$footversion.$SysInfo->Sfcpak."</xwert64>\n";					// Software Versionsnummer z.B. 1.730
echo " <xwert65>".$SysInfo->device_name."</xwert65>\n";									// Gerätename
//---
echo " <xwert66>".$CA->CAstateChanged."</xwert66>\n";										// CA-Wechsel ist aufgetrreten
echo " <xwert67>".$CA->PM_A->connect."</xwert67>\n";										// PM-A ist angeschlossen [1]
echo " <xwert68>".$CA->PM_B->connect."</xwert68>\n";										// PM-B ist angeschlossen [1]
echo " <xwert69>".$CA->PM_C->connect."</xwert69>\n";										// PM-C ist angeschlossen [1]
//---
echo " <xwert70>".$ID_Fuse."</xwert70>\n";															// Fuse	 				$ID[11]
echo " <xwert71>".$ID_Recl."</xwert71>\n";															// Reclose  		$ID[102]
echo " <xwert72>".$ID_Puls."</xwert72>\n";															// Puls  				$ID[8]
echo " <xwert73>".$ID_Paus."</xwert73>\n";															// Pause (Sek.)	$ID[22]

echo " <xwert74>".$PulsPau."</xwert74>\n";															// Puls Pause 
echo " <xwert75>".$PulsPau1."</xwert75>\n";															// Puls Pause 1
echo " <xwert76>".$PulsPau2."</xwert76>\n";															// Puls Pause 2

echo " <xwert77>".$Status1->I_DIRECTION."</xwert77>\n";	 								// PM-B Lastflussrichtung 	1 = L->L'  /  0 = L<-L'
echo " <xwert78>".$Status2->I_DIRECTION."</xwert78>\n";	 								// PM-C Lastflussrichtung 	1 = L->L'  /  0 = L<-L'

echo " <xwert79>".$Status1->RMS_U."</xwert79>\n";												//--- Spannung	PM-B
echo " <xwert80>".$Status2->RMS_U."</xwert80>\n";												//--- Spannung	PM-C
 
echo " <xwert81>".$ID_Imax."</xwert81>\n";															//--- Text: Imax   (ID1)
echo " <xwert82>".$ID_Ipeak."</xwert82>\n";															//--- Text: Ipeak  (ID3)
 
//----- Werte aus EventFile1
echo " <xwert83>".$EventFile1->Event->Count."</xwert83>\n";							// Event.Count

//---
echo " <xwert84>".$EventFile1->Event->Type."</xwert84>\n";	 						// Event.Type
//echo " <xwert84>".$NoCal1."</xwert84>\n";	 														// Testeingabe für Event.Type  'nocalib'
//-----

echo " <xwert85>".$FaultDistanceB."</xwert85>\n";												// Event.Lenght

//----- Werte aus EventFile2
echo " <xwert86>".$EventFile2->Event->Count."</xwert86>\n";							// Event.Count

//---
echo " <xwert87>".$EventFile2->Event->Type."</xwert87>\n";	 						// Event.Type
//echo " <xwert87>".$NoCal2."</xwert87>\n";	 														// Testeingabe für Event.Type  'nocalib'
//---

echo " <xwert88>".$FaultDistanceC."</xwert88>\n";												// Event.Lenght
//-----

//--- Warnschwelle 
echo " <xwert89>".$Status1->RMS_WARN_I500."</xwert89>\n";								// PM-B
echo " <xwert90>".$Status2->RMS_WARN_I500."</xwert90>\n";								// PM-C
//--

//--- Spitzenstrom  Ipeak 
echo " <xwert91>".$EventFile1->Ipeak->Imax."</xwert91>\n";							// PM-B: Spitzenstrom Error 1 = L->L'  /  0 = L<-L'
echo " <xwert92>".$EventFile2->Ipeak->Imax."</xwert92>\n";							// PM-B: Spitzenstrom Error 1 = L->L'  /  0 = L<-L'
//--
echo " <xwert93>".$ID_nocalib."</xwert93>\n";														// Text:   PM - Kalibrierung nicht aktuell, Vorortung inaktiv
echo " <xwert94>".$ID_flasherr."</xwert94>\n";													// Text:   PowerModul Hardwareproblem Flash-1 defekt
//--- Fehlerklassifizierung 
echo " <xwert95>".$EventFile->Event->FaultClass."</xwert95>\n";	 				// Event.FaultClass
echo " <xwert96>".$EventFile1->Event->FaultClass."</xwert96>\n";	 			// Event1.FaultClass
echo " <xwert97>".$EventFile2->Event->FaultClass."</xwert97>\n";	 			// Event2.FaultClass
//---
echo " <xwert98>".$RequestIP."</xwert98>\n";	 													// Zugriff für diesen Client erlaubt ???  - ja = 1 / nein = 0
//---
echo " <xwert99>".$Mission->DEVICE->ClientSync->value."</xwert99>\n";		// Date/Time-Syncronisation mit Client  0 = nicht freigegeben  /   1 = freigegeben
echo " <xwert100>".$GPS->GPS_LOCK."</xwert100>\n";											// GPS-Signal für Date/Time-Syncronisation vorhanden		0 = nein  /  1 = ja
//---
echo " <xwert101>".$SysInfo->resetFactory."</xwert101>\n";	 						// Werkseinstellung wurde ausgelöst  = 1
//---
echo " <xwert102>".$Mission->FusePara->fuseConf->value."</xwert102>\n";	//----- Wiederzu.-Step 1...5     Aus/Ein 
//--- SecondShot 
echo " <xwert103>".$Status->secShot."</xwert103>\n";										// ... bitte erneut zuschalten
echo " <xwert104>".$Status1->secShot."</xwert104>\n";										// 		"				"				"
echo " <xwert105>".$Status2->secShot."</xwert105>\n";										//  		"				"				"
//--
echo " <xwert106>".$ID_modetxt1."</xwert106>\n";												// linke Anzeige im Footer -->  EasyGo ...
//--
// Daten aus der PhasenAnschnit-Auswertung
echo " <xwert107>".$SysInfo->UWarnWin."</xwert107>\n";									// PhaAnschn.:  U-Warnhinweis ... Sicherung 800A defekt od. Spannungsausfall
echo " <xwert108>".$SysInfo->IWarnWin."</xwert108>\n";									// PhaAnschn.:  I-Warnhinweis ... Strom > 7000 A erkannt
echo " <xwert109>".$SysInfo->IPMA."</xwert109>\n";											// PhaAnschn.:  Strom für PM-A
echo " <xwert110>".$SysInfo->IPMB."</xwert110>\n";											// PhaAnschn.:  Strom für PM-B
echo " <xwert111>".$SysInfo->IPMC."</xwert111>\n";											// PhaAnschn.:  Strom für PM-C
//--
echo " <xwert112>".$SysInfo->sfcmode_reset."</xwert112>\n";							// Loopdetect Auslösung (1h) und dann Umschaltung von Monitoring auf Fehlerortung
//-- .'0'.
echo " <xwert113>".$Mission->FusePara->sfcmode->value."</xwert113>\n";	// SFC-Mode 1=Fehlerortung, 2=Monitoring, 3=EasyGo
echo " <xwert114>".$SysInfo->SetDateWarn."</xwert114>\n";								// Hinweisfenster "!!! Datum/Zeit überprüfen !!!" aufrufen [1], ...nicht [0]
//--
echo " <xwert115>".$KabelTyp."</xwert115>\n";														// Kabeltyp in Kurzform anzeigen
//--

//echo " <xwert116>"."1"."</xwert116>\n";																// Hinweis im EasyGo-Mode  "!!! Kabel-Fehler erkannt !!!"
echo " <xwert116>".$SysInfo->OffSysWarnWin."</xwert116>\n";							// Hinweis im EasyGo-Mode  "!!! Kabel-Fehler erkannt !!!"
//---
$Warntxt1 = "*** ".$ID[312]." ***";
echo " <xwert117>".$Warntxt1."</xwert117>\n";														// Hinweis im EasyGo-Mode  "!!! Kabelfehler erkannt !!!"
echo " <xwert118>".$ID[48]."</xwert118>\n";															// Hinweis im EasyGo-Mode  "Sicherungsauslösung" vorher [313]"Permanenter Fehler"
echo " <xwert119>".$ID[314]."</xwert119>\n";														// Hinweis im EasyGo-Mode  "Wiederzuschalten deaktiv"
echo " <xwert120>".$ID[48]."</xwert120>\n";															// Hinweis im EasyGo-Mode  "Sicherungsauslösung"

$Wiedertxt = $ID[315]." ".$EgWiedZuCou." / ".$EgWiedZuAnz;
echo " <xwert121>".$Wiedertxt."</xwert121>\n";													// Hinweis im EasyGo-Mode  "Wiederzu. x	von x"
//---
echo " <xwert122>".$SysInfo->license_key."</xwert122>\n";								// Fehlerortung gültig ja/nein	
echo " <xwert123>".$SysInfo->PPWarnWin."</xwert123>\n";									// *** möglicher Phase/Phase Fehler erkannt ***	
//---
echo " <xwert124>".$Status->PM_HW."</xwert124>\n";											// Flag für Phasenanschnitt gesetzt [1]	
echo " <xwert125>".$Status1->PM_HW."</xwert125>\n";											// Flag für Phasenanschnitt gesetzt [1]	
echo " <xwert126>".$Status2->PM_HW."</xwert126>\n";											// Flag für Phasenanschnitt gesetzt [1]		
//---
echo " <xwert127>".$ID_modetxt2."</xwert127>\n";												// rechte Anzeige im Footer -->  Experte ...
//---
echo " <xwert128>".$HWconfig->easyGoEn."</xwert128>\n";									// EasyGo-Mode freigegeben [1]
echo " <xwert129>".$ID_modetxt3."</xwert129>\n";												// Fehlerortung (Mitte Footer)
echo " <xwert130>".$ID_modetxt4."</xwert130>\n";												// Monitoring (Mitte Footer)
//---
echo " <xwert131>".$SysInfo->EventMaxWin."</xwert131>\n";								// Hinweisfenster "Datenspeicher Fehlerortung fast voll" aufrufen [1], ...nicht [0]
//---
echo " <xwert132>".$Status->AUTO_RECLOSE_INI_ANZ."</xwert132>\n";				// für die Überprüfung auf Nachortung  Wiederzu = 200			PM-A
echo " <xwert133>".$Status1->AUTO_RECLOSE_INI_ANZ."</xwert133>\n";			// für die Überprüfung auf Nachortung  Wiederzu = 200			PM-B	
echo " <xwert134>".$Status2->AUTO_RECLOSE_INI_ANZ."</xwert134>\n";			// für die Überprüfung auf Nachortung  Wiederzu = 200			PM-C		
//---
echo " <xwert135>".$Mission->Miss_Para->DateCheck->value."</xwert135>\n";	// Datumsüberprüfung		
//---
echo " <xwert136>".$ID[309]."</xwert136>\n";														// EasyGo		

//---
//echo " <xwertxx>".'-x-'."</xwertxx>\n";	 															// ... neuer XML-Wert
//---
echo "</messwerte>\n";

//---			Rückgabewerte setzen ENDE ---//
//*************************************//
//*************************************//

?>